=== release 1.19.1 ===

2021-06-01 00:14:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.19.1

2021-04-08 10:11:52 -0300  Daniel Almeida <daniel.almeida@collabora.com>

	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	  v4l2codecs: gstv4l2codecsvp8dec: implement a render delay
	  The v4l2 backend support delayed output for performance reasons.
	  It is then possible to use render delays to queue multiple requests
	  simultaneously, thus increasing performance.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2150>

2021-04-07 18:24:27 -0300  Daniel Almeida <daniel.almeida@collabora.com>

	* gst-libs/gst/codecs/gstvp8decoder.c:
	* gst-libs/gst/codecs/gstvp8decoder.h:
	  codecs: gstvp8decoder: add support for render delay
	  Some decoding APIs support delayed output for performance reasons.
	  One example would be to request decoding for multiple frames and
	  then query for the oldest frame in the output queue.
	  This also increases throughput for transcoding and improves seek
	  performance when supported by the underlying backend.
	  Introduce support in the vp8 base class, so that backends that
	  support render delays can actually implement it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2150>

2021-05-17 10:49:41 +0100  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Stop transceivers update after first SDP error
	  When invalid SDP is supplied, _update_transceiver_from_sdp_media() sets the
	  GError, so it is invalid to continue any further SDP processing, we have to exit
	  early when the first error is raised.
	  Fixes #1595
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2254>

2021-05-28 23:21:19 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11device.c:
	* sys/d3d11/gstd3d11decoder.cpp:
	  d3d11: Suppress some warning logs
	  We uses gst_d3d11_device_new() for enumerating device which can
	  fail for some reason. Don't print warning log for the case.
	  And decoding capability check is the same case as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2286>

2021-05-28 17:05:02 -0400  Roman Sivriver <roman@rsiv.net>

	* ext/hls/gsthlssink2.c:
	  hlssink2: Initialize debug category to prevent an assert with `fatal-warnings`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2288>

2021-05-21 20:02:53 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Reuse converter on alpha update
	  ... instead of creating converter object
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2276>

2021-05-18 01:24:29 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11convert.cpp:
	* sys/d3d11/gstd3d11converter.cpp:
	* sys/d3d11/gstd3d11converter.h:
	* sys/d3d11/gstd3d11overlaycompositor.cpp:
	* sys/d3d11/gstd3d11shader.cpp:
	* sys/d3d11/gstd3d11shader.h:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window_dummy.cpp:
	  d3d11converter: Introduce config to be extensible
	  Add a config argument like that of GstVideoConverter so that
	  we can add more options without modifying existing methods
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2276>

2021-05-21 21:30:42 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11converter.cpp:
	* sys/d3d11/gstd3d11overlaycompositor.cpp:
	* sys/d3d11/gstd3d11shader.cpp:
	* sys/d3d11/gstd3d11shader.h:
	  d3d11shader: Don't hold state object in GstD3D11Quad
	  We might want to update state object
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2276>

2021-05-27 16:22:42 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2codech264dec.h:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.h:
	* sys/v4l2codecs/plugin.c:
	  v4lcodecs: Validate src formats
	  This add src format validation, this avoid registering element for
	  drivers we don't support any of their src formats. This also special
	  case the AlphaDecodeBin wrapper, as we know that alphacombine element
	  only support I420 and NV12 for now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2272>

2021-05-22 16:29:09 -0300  Daniel Almeida <daniel.almeida@collabora.com>

	* sys/v4l2codecs/gstv4l2codecalphadecodebin.c:
	* sys/v4l2codecs/gstv4l2codecalphadecodebin.h:
	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	* sys/v4l2codecs/gstv4l2decoder.c:
	* sys/v4l2codecs/gstv4l2decoder.h:
	* sys/v4l2codecs/meson.build:
	  v4l2codecs: add wrappers for alpha decode
	  codecalpha is a new plugin introduced to support VP8/VP9 alpha as
	  defined in the WebM and Matroska specifications. It splits the stream
	  into two streams, one for the alpha and one for the actual content,
	  then it decodes them separately with vpxdec and finally combine the
	  results as A420 or AV12 (i.e. YUV + an extra alpha plane).
	  The workflow above is setup by means of a bin, gstcodecalphabin.
	  This patch simulates the same workflow into the v4l2codecs namespace,
	  thus using the new v4l2 stateless decoders for hardware acceleration.
	  This is so we can register the new alpha decode elements only if the
	  hardware produces formats we support, i.e. I420 or NV12 for now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2272>

2021-05-19 18:45:19 -0300  Daniel Almeida <daniel.almeida@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/codecalpha/gstalphacombine.c:
	  codecalpha: alphacombine: add support for NV12/AV12
	  Alpha combine works by appending the GstMemory for the alpha channel
	  to the GstBuffer containing I420, thereby pushing A420 on its src pad.
	  Add support for the same workflow for NV12, thereby producing the
	  recently introduced AV12 format (NV12 + Alpha).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2277>

2021-05-25 20:21:34 +0900  Seungha Yang <seungha@centricular.com>

	* gst/interlace/gstinterlace.c:
	  interlace: Don't set field-order field for progressive caps
	  That would cause negotiation issue
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2282>

2021-05-25 19:47:28 +0900  Seungha Yang <seungha@centricular.com>

	* gst/interlace/gstinterlace.c:
	  interlace: Drop framerate from query caps of sinkpad
	  Query caps should return caps which represent the element can accept,
	  not resulting format.
	  Fixing negotiation error with
	  gst-launch-1.0 videotestsrc ! video/x-raw,framerate=25/1 ! interlace field-pattern=0 ! fakesink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2282>

2021-05-26 16:37:06 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Fix caps update handling
	  New caps is applied only when previous buffer is consumed if any.
	  So, the lastest given caps might not be corresponding to the current buffer
	  to be handled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2284>

2021-05-20 13:47:11 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvadisplay.h:
	* gst-libs/gst/va/gstvadisplay_drm.h:
	* gst-libs/gst/va/gstvadisplay_wrapped.h:
	  libs: va: display: Handle auto clean up macros.
	  Add G_DEFINE_AUTOPTR_CLEANUP_FUNC macro for display classes, so auto
	  pointers are possible to users.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2269>

2021-05-17 19:06:34 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265dec.c:
	  va: h265dec: Add current picture into reference list for SCC.
	  The current picture is not in the DPB, so we need to add it manually
	  to the reference list when SCC is enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2255>

2021-05-21 23:47:14 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265dec.c:
	  va: h265dec: Set Screen Content extension (SCC) for picture parameters.
	  We already declare the support of HEVC screen content extension profiles
	  in the profile mapping list, but we fail to generate the correct VA picture
	  parameters buffers. This may cause the GPU hang.
	  We need to fill the buffer of VAPictureParameterBufferHEVCExtension correctly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2255>

2021-05-17 17:47:07 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265dec.c:
	  va: h265dec: Use get_profile_from_sps() to recognize the profile.
	  The function of gst_h265_get_profile_from_sps() is better than the
	  function gst_h265_profile_tier_level_get_profile() when we recognize
	  the profile of the stream, becaue it considers the compatibility.
	  It is also used by h265parse to recognize the profile. So it is
	  better to keep the same behaviour with the parse and other decoders.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2255>

2021-05-21 23:21:12 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265dec.c:
	  va: h265dec: Set range extension for picture and slice parameters.
	  We already declare the support of HEVC range extension profiles in
	  the profile mapping list, but we fail to generate the correct VA
	  picture and slice parameters buffers. This may cause the GPU hang.
	  We need to fill the buffer of VAPictureParameterBufferHEVCExtension
	  and VASliceParameterBufferHEVCExtension correctly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2255>

2021-05-24 18:18:52 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvah265dec.c:
	  va: h265dec: Use picture and slide extension parameters.
	  This is transitional commit to later implement extended and screen
	  profiles.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2255>

2021-05-24 18:34:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/aom/gstav1enc.c:
	* ext/dash/gstdashdemux.c:
	* ext/dtls/gstdtlsdec.c:
	* ext/dtls/gstdtlsenc.c:
	* ext/fdkaac/gstfdkaacenc.c:
	* ext/sctp/gstsctpenc.c:
	* ext/sndfile/gstsfdec.c:
	* gst/videoparsers/gstav1parse.c:
	* gst/videoparsers/gstmpeg4videoparse.c:
	* tests/check/elements/kate.c:
	* tests/check/elements/pcapparse.c:
	  Use gst_buffer_new_memdup()
	  Update for function rename in core.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/827
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2281>

2021-05-22 18:05:18 +0100  Philippe Normand <philn@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/WPEThreadedView.h:
	* ext/wpe/gstwpesrcbin.cpp:
	* ext/wpe/gstwpevideosrc.cpp:
	* ext/wpe/meson.build:
	  wpe: Bump wpebackend-fdo version requirement to 1.8
	  Debian bullseye has this version already, and this allows us to get rid of many
	  ifdefs. The mouse scroll handling is actually functional now as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2278>

2021-05-23 16:10:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/aom/gstav1enc.c:
	* ext/dash/gstdashdemux.c:
	* ext/dtls/gstdtlsdec.c:
	* ext/dtls/gstdtlsenc.c:
	* ext/fdkaac/gstfdkaacenc.c:
	* ext/sctp/gstsctpenc.c:
	* ext/sndfile/gstsfdec.c:
	* gst/videoparsers/gstav1parse.c:
	* gst/videoparsers/gstmpeg4videoparse.c:
	* tests/check/elements/kate.c:
	* tests/check/elements/pcapparse.c:
	  Use new gst_buffer_new_copy()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2279>

2021-05-21 15:18:21 -0300  Daniel Almeida <daniel.almeida@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  doc: update gst_plugins_cache.json
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/merge_requests/1152>

2021-05-14 20:22:26 +0200  Jakub Adam <jakub.adam@collabora.com>

	* sys/winscreencap/dxgicapture.c:
	* sys/winscreencap/dxgicapture.h:
	* sys/winscreencap/gstdxgiscreencapsrc.c:
	  dxgiscreencapsrc: renegotiate caps on resolution change
	  When desktop gets resized, recreate the textures and renegotiate the
	  source caps with the updated video dimensions.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2249>

2021-05-18 14:09:01 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvah265dec.c:
	  va: h265dec: Set LastSliceOfPic for multi sliced frames.
	  VA-API HEVC decoding needs to known which is the last slice of a
	  picture, but slices are processed sequencially, so we know the
	  last slice until all the slices are already pushed into the
	  VABuffer array.
	  In order to mark the last slice, they are pushed into the
	  VABuffer array with a delay of one slice: the first slice is
	  hold, and when the second slice come, the first one is pushed
	  while holding the second, and so on. Finally, at end_picture(),
	  the last slice is marked and pushed into the array.
	  Co-author: Victor Jaquez <vjaquez@igalia.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2246>

2021-05-20 17:03:15 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11desktopdup.cpp:
	* sys/d3d11/gstd3d11desktopdup.h:
	* sys/d3d11/gstd3d11desktopdupsrc.cpp:
	* sys/d3d11/gstd3d11desktopdupsrc.h:
	  d3d11desktopdupsrc: Add support for desktop size/rotation mode change
	  Re-negotiates with updated size on desktop size
	  (i.e., resolution, scaling factor), and rotation mode change
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2268>

2021-05-20 10:09:57 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  mpegtsmux: Fixup program array indices after stream removal
	  Each stream stores the `program_array_index` of its position in its
	  program's `streams` array. When we remove a stream from this array, we
	  need to correct the `program_array_index` of all streams that were
	  backshifted by the removal.
	  Also extract the removal into a new function and add some more safety
	  checks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2266>

2021-05-20 18:49:01 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.c:
	  d3d11memory: Protect map and unmap with device lock
	  We should lock memory object with gst_d3d11_device_lock() first
	  then GST_D3D11_MEMORY_LOCK() need to be used.
	  One observed deadlock case is that:
	  - Thread A takes d3d11 device lock
	  - At the same time, Thread B tries CPU map to d3d11memory which requires
	  d3d11 device lock as well, but it's already taken by Thread A.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2267>

2021-05-20 18:38:17 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.c:
	  d3d11memory: Add trace log for debugging locking thread
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2267>

2021-05-20 15:39:39 +0900  Seungha Yang <seungha@centricular.com>

	* gst/audiolatency/gstaudiolatency.c:
	  audiolatency: Drop incoming downstream stick events
	  stream-start, caps, and segment events will be pushed by internal
	  audiotestsrc element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2265>

2021-05-20 15:28:13 +0900  Seungha Yang <seungha@centricular.com>

	* gst/audiolatency/gstaudiolatency.c:
	  audiolatency: Use live mode audiotestsrc
	  Expected use case of audiolatency element is that mimic audio capture
	  device which is most likely live source. So audiolatency element
	  should use live mode as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2265>

2021-05-19 18:48:29 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/gstwpesrcbin.cpp:
	* ext/wpe/meson.build:
	  wpe: Bump WPE dependency to 2.28
	  The new audio feature depends on WPE 2.28 so we should just bump our
	  requirement to that.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2264>

2021-05-20 00:51:08 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11compositor.h:
	* sys/d3d11/gstd3d11compositorbin.cpp:
	  d3d11compositor: Fix missing D3D11 prefix
	  Fix typo, no functional change
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2262>

2021-05-18 17:49:23 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/wpe/gstwpe.cpp:
	* ext/wpe/gstwpesrcbin.cpp:
	  wpe: Update doc cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2252>

2021-04-21 23:14:13 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	  wpe: Properly respect LIBGL_ALWAYS_SOFTWARE
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2252>

2021-05-01 21:48:23 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/gstwpesrcbin.cpp:
	* ext/wpe/wpe-extension/gstwpebusmsgforwarder.c:
	* ext/wpe/wpe-extension/gstwpeextension.c:
	* ext/wpe/wpe-extension/gstwpeextension.h:
	* ext/wpe/wpe-extension/meson.build:
	  wpe: Relay messages from WPE internal pipelines
	  It is based on a tracer as it allows us to very easily get
	  every message that are posted on any bus inside the process.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2252>

2021-04-19 20:46:46 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/WPEThreadedView.h:
	* ext/wpe/gstwpe.cpp:
	* ext/wpe/gstwpe.h:
	* ext/wpe/gstwpesrcbin.cpp:
	* ext/wpe/gstwpesrcbin.h:
	* ext/wpe/gstwpevideosrc.cpp:
	* ext/wpe/meson.build:
	* ext/wpe/wpe-extension/gstwpeaudiosink.c:
	* ext/wpe/wpe-extension/gstwpeextension.c:
	* ext/wpe/wpe-extension/gstwpeextension.h:
	* ext/wpe/wpe-extension/meson.build:
	  wpe: Base wpe audio implementation on a web extension
	  This makes the implementation simpler and enable us to map
	  webviews and audio stream much more easily
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2252>

2019-12-08 13:16:38 +0000  Philippe Normand <philn@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	  wpe: Enable WebAudio
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2252>

2019-12-08 11:49:20 +0000  Philippe Normand <philn@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/WPEThreadedView.h:
	* ext/wpe/gstwpe-private.h:
	* ext/wpe/gstwpe.cpp:
	* ext/wpe/gstwpesrcbin.cpp:
	* ext/wpe/gstwpesrcbin.h:
	* ext/wpe/gstwpevideosrc.cpp:
	* ext/wpe/meson.build:
	* tests/examples/meson.build:
	* tests/examples/wpe/meson.build:
	* tests/examples/wpe/wpe.c:
	  wpe: Implement audio support
	  The wpesrc bin now exposes "sometimes" audio src pads, one for every PCM audio
	  stream created by WPEWebKit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2252>

2021-03-10 17:27:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/WPEThreadedView.h:
	* ext/wpe/gstwpe.cpp:
	* ext/wpe/gstwpesrcbin.cpp:
	* ext/wpe/gstwpesrcbin.h:
	* ext/wpe/gstwpevideosrc.cpp:
	* ext/wpe/gstwpevideosrc.h:
	* ext/wpe/meson.build:
	  wpe: Move wpesrc to wpevideosrc and add a wrapper bin `wpesrc`
	  Currently the bin contains a single element but we are going
	  to implement audio support and expose extra pads for audio
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2252>

2021-05-18 00:43:23 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/sctp/gstsctpenc.c:
	  sctp: Ensure pad is still a child of element before removal
	  During pipeline shutdown there are several competing paths to remove
	  pads. Avoids tests failing due to:
	  Unexpected critical/warning: Padname '':sink_1 does not belong to element sctpenc1 when removing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2256>

2021-05-17 09:13:28 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/sctp/gstsctpdec.c:
	  sctp: Fix race of pad removal during reset/stop
	  Both reset & stop remove existing pads. Can result in warning from
	  gst_element_remove_pad().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2256>

2021-05-17 09:11:54 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/webrtc/webrtcdatachannel.c:
	  webrtcbin: Fix race bringing up sctp data channel
	  Notifying before pads are linked can cause the stream to fail to start.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2256>

2021-05-13 21:11:30 +1000  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcice.c:
	  webrtcbin: advertise harder the rtcp-mux-only requirement
	  And ignore rtcp ICE candidates
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2239>

2021-05-14 10:47:05 -0500  Sid Sethupathi <sid.sethupathi@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: update default jb latency docs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2242>

2021-05-18 16:38:04 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/dtls/gstdtlsenc.c:
	  dtls: Let sender know when we are flushing
	  Prevents endless loop during shutdown where we end up sending 0 bytes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2229>

2021-05-18 16:31:47 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/dtls/gstdtlsconnection.c:
	* ext/dtls/gstdtlsconnection.h:
	  dtls: Add ability to set custom GstFlowReturn on callback error
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2229>

2021-05-18 20:26:38 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/transportsendbin.c:
	* ext/webrtc/transportsendbin.h:
	  webrtc: Remove reundundant context object in transportsendbin
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2260>

2021-05-18 20:18:28 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/transportsendbin.c:
	* ext/webrtc/transportsendbin.h:
	  webrtc: Wait until ICE is connected to start DTLS handshake process
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2260>

2021-05-18 18:29:16 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/transportsendbin.c:
	* ext/webrtc/transportsendbin.h:
	  webrtcbin: Remove pad probe on nicesink
	  This pad probe is no longer necessary, libnice now drops
	  all buffers before the stream is connected. This pad problem
	  also caused deadlocks in some situations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2260>

2021-05-17 20:59:19 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/kate/gstkatedec.c:
	* ext/kate/gstkateenc.c:
	* ext/kate/gstkateparse.c:
	* ext/kate/gstkatetag.c:
	* ext/kate/gstkatetiger.c:
	  kate: Initialize debug categories
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2258>

2021-05-13 10:27:49 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvadisplay.c:
	* gst-libs/gst/va/gstvadisplay.h:
	* gst-libs/gst/va/gstvadisplay_drm.c:
	* gst-libs/gst/va/gstvadisplay_wrapped.c:
	  libs: va: Documentation and annotations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2196>

2021-05-07 17:05:38 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/va/meson.build:
	* tests/examples/va/main.c:
	* tests/examples/va/meson.build:
	* tests/examples/va/multiple-vpp.c:
	  examples: va: Update the VA examples because of the new va lib.
	  Because we introduce the new va lib, the va examples need to include
	  new header files and add more library linkage.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2196>

2021-05-13 18:46:21 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvadisplay_wrapped.c:
	* gst-libs/gst/va/gstvadisplay_wrapped.h:
	* sys/va/gstvautils.c:
	  libs: va: display_wrapper: Use gpointer for VADisplay.
	  In order to be coherent along all the implementation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2196>

2021-05-06 18:23:23 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/meson.build:
	* gst-libs/gst/va/gstvadisplay.c:
	* gst-libs/gst/va/gstvadisplay.h:
	* gst-libs/gst/va/gstvadisplay_drm.c:
	* gst-libs/gst/va/gstvadisplay_drm.h:
	* gst-libs/gst/va/gstvadisplay_wrapped.c:
	* gst-libs/gst/va/gstvadisplay_wrapped.h:
	* gst-libs/gst/va/meson.build:
	* gst-libs/gst/va/va-prelude.h:
	* gst-libs/gst/va/va_fwd.h:
	* sys/va/gstvaallocator.h:
	* sys/va/gstvacaps.c:
	* sys/va/gstvacaps.h:
	* sys/va/gstvadecoder.c:
	* sys/va/gstvadecoder.h:
	* sys/va/gstvadevice.c:
	* sys/va/gstvadevice.h:
	* sys/va/gstvadisplay.h:
	* sys/va/gstvadisplay_priv.c:
	* sys/va/gstvadisplay_priv.h:
	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	* sys/va/gstvautils.c:
	* sys/va/gstvautils.h:
	* sys/va/gstvavpp.c:
	* sys/va/meson.build:
	  libs: va: Move the VA common logic as a lib.
	  The VA acceleration now has more usages in linux-like platforms,
	  such as the MSDK. The different plugins based on the VA acceleration
	  need to share some common logic and types. We now move the display
	  related functions and types into a common va lib.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2196>

2021-05-17 11:42:07 +0800  mkba <mengker1031@outlook.com>

	* sys/msdk/gstmsdkh265enc.c:
	  msdk: add profile main-still-picture for hevc encoder
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2253>

2021-05-15 00:39:57 +0900  Seungha Yang <seungha@centricular.com>

	* gst/interlace/gstinterlace.c:
	  interlace: Fix too small buffer size error
	  Even though input/output resolutions are identical there, default
	  buffer size of progressive and interleaved formats could be different
	  because we are rounding up height of all plane of interlaced frame
	  to be multiple of two.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2244>

2021-03-01 12:09:43 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkcontext.c:
	  msdk: use MFXJoinSession() to join the parent and child sessions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1503>

2021-02-04 15:27:13 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkcontext.c:
	* sys/msdk/msdk.c:
	* sys/msdk/msdk.h:
	  msdk: use a new method to create mfx session when using oneVPL dispatcher
	  In oneVPL, MFXLoad() and MFXCreateSession() are required to create a
	  workable mfx session[1]
	  [1] https://spec.oneapi.com/versions/latest/elements/oneVPL/source/programming_guide/VPL_prg_session.html#onevpl-dispatcher
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1503>

2021-02-18 13:38:25 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* meson_options.txt:
	* sys/msdk/meson.build:
	  msdk: allow user build this plugin against MFX version 2.2+ (oneVPL)
	  Intel oneVPL SDK (oneVPL) is a successor to Intel Media SDK (MSDK)[1].
	  User may use -Dmfx_api=MSDK or -Dmfx_api=oneVPL to specify the required
	  SDK when building this plugin. If the SDK is not specified, meson will
	  try MSDK firstly, then oneVPL if MSDK is not available
	  Version 2.2+ is required in this patch because pkg-config file was not
	  provided officially before version 2.2
	  [1]https://spec.oneapi.com/versions/latest/elements/oneVPL/source/appendix/VPL_intel_media_sdk.html
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1503>

2021-05-14 11:56:49 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkvp9dec.c:
	  msdkvp9dec: do not include mfxvp9.h
	  The VP9 related definitions in mfxvp9.h are available under the
	  condition of 'MFX_VERSION >= MFX_VERSION_NEXT', which implies that these
	  definitions are never used in a public release.
	  This is in preparation for oneVPL support because mfxvp9.h was
	  removed from oneVPL
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1503>

2020-08-04 12:53:35 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/msdk.c:
	* sys/msdk/msdk.h:
	  msdk: don't load user plugins for MFX version 2.0+
	  MFX version 2.0+ no longer supports user plugins, please refer to the
	  links for details
	  https://spec.oneapi.com/versions/latest/elements/oneVPL/source/appendix/VPL_intel_media_sdk.html#msdk-full-name-feature-removals
	  https://github.com/oneapi-src/oneVPL
	  This is in preparation for oneVPL support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1503>

2020-08-04 12:55:35 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/msdk.c:
	  msdk: exclude the audio code for MFX version 2.0+
	  MFX version 2.0+ no longer supports audio functions, please refer to the
	  links below for details
	  https://spec.oneapi.com/versions/latest/elements/oneVPL/source/appendix/VPL_intel_media_sdk.html#msdk-full-name-feature-removals
	  https://github.com/oneapi-src/oneVPL
	  This is in preparation for oneVPL support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1503>

2021-05-14 14:08:17 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstalphacombine.c:
	  alphacombine: Ignore all events coming from the alpha_pad
	  As per usage of this element, everything from this pad is a
	  duplicate. Instead of implemented needless aggregation, simply
	  drop all events from this pad and let the one from the main stream
	  passthrough. Also stop proxying some queries from the alpha pad_too.
	  This fixes racy test failure:
	  - validate.file.playback.scrub_forward_seeking.opus_vp9-alpha_webm
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2247>

2021-05-14 14:05:59 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstcodecalphademux.c:
	  codecalphademux: Do not set a GstFlowReturn from a boolean
	  This was a small overlook, gst_pad_send_event() returns a boolean,
	  so setting it into ret could confuse the flow combiner. Though,
	  it didn't bug, since both 0 and 1 are success (though 1 being
	  undefined).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2247>

2021-05-14 14:04:00 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstcodecalphademux.c:
	  codecalphademux: Remove eos flow return workaround
	  It turns out that downstream returning OK after EOS is a bug in
	  multiqueue. As we moved to queue, we no longer have this issue.
	  Let's keep the code clean and just assuming that downstream will
	  keep returning EOS and allow convergence of flow.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2247>

2021-05-13 15:18:34 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/openh264/gstopenh264element.c:
	  openh264: Don't use GOnce for ABI check
	  It turns out the value used for g_once_* APIs can't be
	  zero. And this is a very cheap check, so let's just do it every time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2240>

2021-05-13 15:25:57 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtc test: Print content of error GstMessage
	  Makes it easier to interpret the result of the CI!
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-05-06 13:52:32 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtcbin tests: Add test for intersection src pad caps
	  This checks that the codec preferences are intersected also with what
	  the src pad can handle.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-14 19:46:56 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtc test: Add explicit test clock
	  This way the test clock is not linked to the multiple harnesses
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-05-06 17:58:15 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Intersect answer with codec prefs & capabilities
	  In case the local capabilities changed since the last negotiaton,
	  we need to re-intersect and see if the result would be different.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-05-06 17:50:38 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Ignore current caps for codec negotiation
	  On the sink pad, we want the caps of the current stream, those
	  are the "received_caps" field. If we haven't received caps yet, then
	  we only care about the caps that the next element can accept, that is
	  the caps from the peer pad (and the preferences). Otherwise, we prevent
	  re-negotiation to a better codec when possible.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-05-05 19:21:18 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Remove dead code
	  The function is only called to create an offer, so no
	  need to pass the offer parameter and then check it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-05-05 19:18:02 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtc test: Add test for codec preferences negotiation
	  Validate that it does the intersection with the caps from
	  the sink pad and rejects the offer creation otherwise.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-05-05 19:00:11 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/utils.h:
	  webrtcbin: Refactor codec preference retrieval
	  Now intersect against pads on both sides if they are available.
	  If the intersection fails, we now just reject the creation of the offer
	  or answer as it means that the codec_preferences are too restrictive or
	  that the caps on both sides the webrtcbin are not compatible.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-30 17:04:12 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Intersect codec preferences with caps from pads
	  When creating an offer or an answer, also take into account
	  the caps on the pads as well as the codec preferences when both are set.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-30 16:21:14 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* tests/check/elements/webrtcbin.c:
	  webrtcbin: Implement caps queries on sinkpad based on codec preferences
	  Also includes a unit test.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-30 15:04:33 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Hold transceiver lock when accessing codec_preferences
	  This is required to allow the applications to modify the preferences.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-30 14:55:41 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/webrtc/rtptransceiver.c:
	  webrtcbin: Hold lock while accessing the codec preferences
	  They could be changed at runtime by the application, so take the lock
	  when modifying them.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-21 15:55:00 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtcbin tests: Use properties to access the inside of the transceiver object
	  This will allow hiding the insides from unsafe application access.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-21 15:54:14 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/webrtc/rtptransceiver.c:
	  webrtc rtptransceiver: Implement "codec-preferences" property
	  This allows safer access to the internals of the codec-preferences
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-21 15:38:00 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/webrtc/rtptransceiver.c:
	  webrtc rtptransceiver: Implement "kind" property
	  Implement the property as read-only to follow the WebRTC spec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-21 15:34:07 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/webrtc/rtptransceiver.c:
	  webrtc rtptransceiver: Implement "current-direction" property
	  Implement the property as read-only to follow the WebRTC spec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-04-21 15:29:18 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/webrtc/rtptransceiver.c:
	  webrtc rtptransceiver: Implement "mid" property
	  Implement the property as read-only to follow the WebRTC spec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2183>

2021-05-12 17:32:20 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstalphadecodebin.c:
	  alphadecodebin: Use normal queues instead of multiqueue
	  The multiqueue was too flexible for our need, allowing to queue passed
	  the configured threshold. It also didn't work well when trying to
	  propagate EOS flow return.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2238>

2021-05-12 17:29:02 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstalphacombine.c:
	  alphacombine: Implement flow return propagation
	  The EOS handling was not the problem way. Instead of this, implement
	  proper prorogation of the flow return for the alpha chain function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2238>

2021-05-12 15:13:11 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstcodecalphademux.c:
	  codecalphademux: Fix handling of flow combine
	  As the alphacombine is simplified to received matching pair of buffers,
	  we can't just stop streaming when we receive EOS from downstream. Due
	  to usage of queue, the moment we get this return value may differ.
	  Though, by continuing pushing, we override the last_flowret on the pad
	  which can make us miss that we effectively can combine all flow into
	  EOS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2238>

2021-04-29 17:14:43 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/debugutils/gsttestsrcbin.c:
	  testbinsrc: Handle setting URI on the fly
	  Reusing existing streams when possible
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2210>

2021-01-20 14:55:09 +0800  Bing Song <bing.song@nxp.com>

	* data/meson.build:
	* data/targets/file-extension/ts.gep:
	  transcoding: add encoding target for TS.
	  Add encoding target for streamming.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1965>

2021-04-29 16:51:27 +0200  Johan Sternerup <johast@axis.com>

	* tests/check/elements/webrtcbin.c:
	  webrtcbin: Add unit test for closing of data channels
	  Add test for verifying that the data channel "close" action signal
	  triggers an SCTP_RESET_STREAMS request that is propagated to the other
	  side and eventually leads to both sides closing properly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2186>

2021-04-22 10:43:55 +0200  Johan Sternerup <johast@axis.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcbin.h:
	  webrtcbin: Fix deadlock when receiving new sctp stream
	  When receiving an sctp message for a stream that not yet has an
	  sctpdec pad associated with it means we end up in
	  _on_sctpdec_pad_added. At this point we're holding the sctpassocation
	  lock. Then it's not possible to take the pc_lock because then code
	  executing under the pc_lock (which means anything in the webrtc
	  thread) may not take the sctpassociation lock. For example, running
	  the data channel close procedure from the webrtc thread means we
	  eventually end up sending a SCTP_RESET_STREAMS packet which needs to
	  grab the sctpassociation lock.
	  This means _on_sctpdec_pad_added simply cannot take the pc_lock and
	  also it is not possible to postpone the channel creation as we need to
	  link the pads right there. The solution is to introduce a more
	  granular dc_lock that protects only the things that needs to be done
	  to create the datachannel.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2186>

2021-04-20 10:45:46 +0200  Johan Sternerup <johast@axis.com>

	* ext/sctp/sctpassociation.c:
	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/sctptransport.c:
	* ext/webrtc/webrtcdatachannel.c:
	* ext/webrtc/webrtcdatachannel.h:
	  webrtcbin: Support closing of data channels
	  Support for closing WebRTC data channels as described in RFC
	  8831 (section 6.7) now fully supported. This means that we can now
	  reuse data channels that have been closed properly. Previously, an
	  application that created a lot of short-lived on-demand data channels
	  would quickly exhaust resources held by lingering non-closed data
	  channels.
	  We now use a one-to-one style socket interface to SCTP just like the
	  Google implementation (i.e. SOCK_STREAM instead of SOCK_SEQPACKET, see
	  RFC 6458). For some reason the socket interface to use was made
	  optional through a property "use-sock-stream" even though code wasn't
	  written to handle the SOCK_SEQPACKET style. Specifically the
	  SCTP_RESET_STREAMS command wouldn't work without passing the correct
	  assocation id. Changing the default interface to use from
	  SOCK_SEQPACKET to SOCK_STREAM now means we don't have to bother about
	  the association id as there is only one association per socket. For
	  the SCTP_RESET_STREAMS command we set it to SCTP_ALL_ASSOC just to
	  match the Google implementation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2186>

2021-05-07 16:30:49 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/videoparsers/gstvp9parse.c:
	  vp9parse: Manually fixate codec-alpha field
	  This is a newly introduced field, and we interpret it as false when missing in
	  the caps. Otherwise, a simple capsfilter will just add the missing field and
	  keep going, despite the upstream caps being a superset.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2199>

2021-05-07 11:28:21 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstplugin.c:
	  doc: codecalpha: Add plugin documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2199>

2021-05-06 09:12:34 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  doc: Add codecalpha plugin to the plugins cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2199>

2021-04-22 16:50:17 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstalphadecodebin.c:
	* gst/codecalpha/gstalphadecodebin.h:
	* gst/codecalpha/gstplugin.c:
	* gst/codecalpha/gstvp8alphadecodebin.c:
	* gst/codecalpha/gstvp8alphadecodebin.h:
	* gst/codecalpha/gstvp9alphadecodebin.c:
	* gst/codecalpha/gstvp9alphadecodebin.h:
	* gst/codecalpha/meson.build:
	  alphadecodebin: Add wrappers to decode VP8/VP9 alpha
	  This includes base class with wrappers bin that will create a static
	  pipeline capable of handling the VP8/VP9 alpha channel decoding
	  using two instances of vp8/vp9dec element each.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2199>

2021-04-02 15:07:22 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstalphacombine.c:
	* gst/codecalpha/gstalphacombine.h:
	* gst/codecalpha/gstplugin.c:
	* gst/codecalpha/meson.build:
	  codecalpha: Implement alphacombine element
	  This element will merge video buffers in order to use the alpha stream
	  luma plane as the alpha of the video stream. The implementation is zero-copy
	  and currently only support merging I420 stream with an I420, NV12 or GRAY8
	  alpha stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2199>

2021-03-30 15:34:11 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstcodecalphademux.c:
	  alphacodecdemux: Implement meta demuxing
	  Produce two streams from a buffer that has GstVideoCodecAlphaMeta
	  attached.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2199>

2021-03-24 16:48:35 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstcodecalphademux.c:
	* gst/codecalpha/gstcodecalphademux.h:
	* gst/codecalpha/gstplugin.c:
	* gst/codecalpha/meson.build:
	* gst/meson.build:
	* meson_options.txt:
	  Introduce CODEC Alpha plugin
	  This plugin contains a set of utility elements allowing to extract,
	  decode and combine CODEC (typically VP8/VP9) alpha stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2199>

2021-05-11 13:57:59 +0100  Daniel Stone <daniel@fooishbar.org>

	* ext/openaptx/meson.build:
	  openaptx: Fix to v0.2.0 due to license change
	  openaptx has recently changed its license to explicitly exclude
	  'Freedesktop projects' from using it, which would include GStreamer, as
	  well as shifting to base terms of GPLv3:
	  https://github.com/pali/libopenaptx/commit/811bc18586d634042618d633727ac0281d4170b8
	  This unilateral license change is legally dubious in many ways.
	  The original work came from ffmpeg under the LGPL v2.1, to which third
	  parties may not add additional restrictions (per sections 2 and 7 of the
	  LGPL v2.1), so LGPLv2.1 + may-not-use restrictions are not permissible
	  without the explicit consent of the original copyright holder.
	  The upgrade to LGPL v3.0 without explicit consent from the original
	  copyright holder is in itself permissible through the upgrade terms of
	  the LGPL, however the additional restrictions imposed again conflict
	  with sections 7 and 10 of the GPLv3 (as the base of the LGPLv3, with
	  those sections not being invalidated by the additional LGPLv3 text).
	  Though it does not impact the legal validity of the redeclaration of
	  licensing, the claims that freedesktop.org has violated the terms of the
	  openaptx license in the past are false; the work was contributed to the
	  PulseAudio project with an explicit open license, with the original
	  contributor later attempting to revoke permission for its use, despite
	  the explicit terms of the license giving no ability to do so as they
	  lack a change-of-heart provision.
	  The claims that Collabora violated the license are even more baseless;
	  they are based on an assertion that when I (acting on behalf of
	  freedesktop.org rather than Collabora, in my own unpaid time) banned
	  users from freedesktop.org's GitLab instance due to sustained violations
	  of the Code of Conduct users agree to when creating an account on that
	  platform, this somehow constituted a violation of the license. Even if
	  Collabora were somehow involved in this - which they were not at all -
	  there is no requirement under open licenses that users be given
	  unlimited access under all terms to any platform on the internet. Such
	  terms would mean that open development could only be conducted on
	  completely unmoderated platforms, which does not stand up to any
	  scrutiny.
	  Regardless of the declared license having no legal validity, the LGPL's
	  explicit provision in both v2.1 and v3.0 for such additional
	  restrictions to be stripped, and the low likelihood of it ever being
	  used together with GStreamer as its licensing terms would not be
	  acceptable to any distribution, enforcing a version check seems like the
	  safest way to ensure complete legal clarity, not put users or
	  downstreams in any jeopardy, and comply with the author's stated wishes
	  for v0.2.1 and above to not be used by GStreamer.
	  Signed-off-by: Daniel Stone <daniel@fooishbar.org>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2235>

2021-05-11 10:21:27 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  doc: Update cache after RGBP pixel format addition
	  Related to https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/merge_requests/1141
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2236>

2021-05-09 23:42:46 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvabasedec.c:
	* sys/va/gstvabasedec.h:
	* sys/va/gstvah264dec.c:
	* sys/va/gstvah265dec.c:
	* sys/va/gstvampeg2dec.c:
	* sys/va/gstvavp8dec.c:
	* sys/va/gstvavp9dec.c:
	  va: Do not use a common parent_class in vabasedec.
	  We have only one copy of gst_va_base_dec_parent_class inside the
	  vabasedec, so it can not handle the case when there are multi va
	  decoders inside one pipeline. The pipeline:
	  gst-launch-1.0 filesrc location=xxx.h264 ! h264parse \
	  ! vah264dec ! msdkh265enc ! vah265dec ! fakesink
	  generates a assertion of
	  "invalid cast from 'GstVaH264Dec' to 'GstH265Decoder"
	  and gets a crash.
	  We should keep the parent_class for each decoder type.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2231>

2021-05-07 16:02:04 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	  libs: codecs: h264decoder: Assert output_picture virtual method.
	  For new code it's nice to assert if the derived class implemented the
	  output_picture virtual method. Otherwise a segmentation fault
	  occurs. All other decoders assert this method.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2228>

2021-05-06 18:37:45 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/gstwpesrc.cpp:
	  wpe: Properly free property fields
	  The set location (in two places) and loaded bytes were not freed when
	  the element is destroyed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2222>

2021-05-06 19:17:29 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/wpe/gstwpesrc.cpp:
	  wpe: Properly lock property fields
	  Use the object lock for the following fields:
	  - `bytes`: Written by the `load-bytes` signal unless running; consumed
	  on start.
	  - `draw_background`: Read and written by the `draw-background`
	  property.
	  - `location`: Read and written by the `location` property and the URI
	  handler.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2222>

2021-05-07 11:13:06 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtp/gstrtpsrc.c:
	  rtpsrc: Plug leak of rtcp_send_addr
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2226>

2021-05-07 11:13:46 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtp/gstrtpsink.c:
	  rtpsink: Return proper pad from _request_new_pad
	  Bizarrely, it returned a pad from the child rtpbin. I noticed because
	  our application leaked the implicitly created ghost pad. Make an
	  explicit ghost pad so this works properly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2227>

2021-05-07 11:12:39 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rist/gstristsrc.c:
	  rist: Plug leak of rtcp_send_addr
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2225>

2021-05-07 11:10:17 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1dec.c:
	  va: av1dec: Avoid structure overwrite.
	  VADecPictureParameterBufferAV1.mode_control_fields.bits were filled
	  twice, overwriting to zeros the first assignation. This patch unifies
	  both assignations.
	  Also it makes explicit an enum casting between libva and gstreamer; it
	  removes the assignation to zero a deprecated parameter; and use an
	  appropriate assertion.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2223>

2021-05-06 17:07:51 +1000  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/utils.c:
	  webrtc: only add nack pli by default if kind is video
	  Sending/receiving PLI's (Picture Loss Indication) for non-video doesn't
	  really make sense.  This also matches what the browsers do.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2220>

2021-05-06 17:06:44 +1000  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/utils.c:
	* ext/webrtc/utils.h:
	  webrtc: move webrtc_kind_from_caps() to utils
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2220>

2021-04-21 17:34:26 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2client.cpp:
	* sys/wasapi2/gstwasapi2client.h:
	* sys/wasapi2/gstwasapi2sink.c:
	* sys/wasapi2/gstwasapi2src.c:
	* sys/wasapi2/gstwasapi2util.h:
	  wasapi2: Propagate HRESULT error code everywhere
	  ... instead of boolean value which cannot notify the reason
	  of the operation failure.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2219>

2021-05-06 10:46:15 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/hls/gsthlssink.c:
	* ext/hls/gsthlssink2.c:
	* ext/hls/gstm3u8playlist.c:
	* ext/hls/gstm3u8playlist.h:
	  hlssink(2): Don't write deprecated EXT-X-ALLOW-CACHE metadata
	  It's deprecated since quite a few versions and various validators
	  complain about it. Instead of the in-manifest metadata this should be
	  handled by the normal HTTP caching headers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2221>

2021-05-06 01:35:04 +0900  Seungha Yang <seungha@centricular.com>

	* sys/decklink/gstdecklink.cpp:
	  decklinkvideosrc: Fix crash when mode is not specified
	  In that case, we will get "VideoInputFrameArrived" callback
	  without "VideoInputFormatChanged"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2218>

2021-05-05 12:34:38 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/videoparsers/gsth265parse.c:
	  h265parse: don't invalidate the last PPS when parsing a new SPS
	  This is a port of https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2019
	  to h265parse.
	  When a SPS is received then any previous PPS remains valid. So don't clear
	  the PPS flag from the parser state.
	  This is important because there are encoders that don't generated a PPS after
	  every SPS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2217>

2021-04-20 22:18:09 +0200  François Laignel <fengalin@free.fr>

	* ext/dash/gstdashsink.c:
	* ext/dtls/gstdtlssrtpdec.c:
	* ext/dtls/gstdtlssrtpenc.c:
	* ext/hls/gsthlssink2.c:
	* ext/resindvd/resindvdbin.c:
	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/transportreceivebin.c:
	* gst/camerabin2/gstwrappercamerabinsrc.c:
	* gst/rist/gstristsink.c:
	* gst/rtp/gstrtpsink.c:
	* gst/sdp/gstsdpdemux.c:
	* gst/transcode/gsttranscodebin.c:
	* gst/transcode/gsturitranscodebin.c:
	* sys/dvb/dvbbasebin.c:
	* sys/uvch264/gstuvch264_src.c:
	* tests/check/elements/asfmux.c:
	* tests/check/elements/cccombiner.c:
	* tests/check/elements/dtls.c:
	* tests/check/elements/mpegtsmux.c:
	* tests/check/elements/mplex.c:
	* tests/check/elements/webrtcbin.c:
	* tests/examples/playout.c:
	  Use gst_element_request_pad_simple...
	  Instead of the deprecated gst_element_get_request_pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2180>

2021-05-04 12:29:14 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/mxf/mxfdemux.c:
	  mxf: check EOS cond with any segment's flag
	  The previous test was preventing the pad to be in EOS
	  when the segment position was greater than segment stop.
	  It ended up consuming all the data before getting in EOS.
	  Regarding GST_SEEK_FLAG_SEGMENT it seems to be
	  correctly handled later in the method.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2173>

2021-04-19 18:25:06 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: fix keyframe detection in index
	  An index entry should be considered as a keyframe
	  if the flags allow a random access only.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2173>

2021-04-24 10:43:47 +0000  Antonio Rojas <arojas@archlinux.org>

	* ext/openexr/gstopenexrdec.cpp:
	  Fix build with OpenEXR 3
	  Add a header that is no longer transitively included
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2195>

2021-04-22 19:21:01 -0300  Daniel Almeida <daniel.almeida@collabora.com>

	* gst-libs/gst/codecs/gstvp9statefulparser.c:
	  codecs: gstvp9statefulparser: do not carry over segmentation flags
	  Do not carry over segmentation flags from previous frames. The spec
	  says in 7.2.10 that the feature data carry over from previous frames
	  if not updated, but the flags do not.
	  Consider what would happen if a flag B is to depend on a flag A, and
	  B carries over as set from another frame. Further consider that A is
	  now not set in this particular frame. This leads to the invalid state
	  in which flag B is set but flag A isn't.
	  This might cause the bitstream to be rejected by accelerators down
	  the line.
	  Fix it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2203>

2021-04-29 21:44:07 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11desktopdup.cpp:
	* sys/d3d11/gstd3d11desktopdup.h:
	* sys/d3d11/gstd3d11desktopdupsrc.cpp:
	  d3d11desktopdup: Don't ignore error DXGI_ERROR_UNSUPPORTED
	  Although Microsoft's DXGIDesktopDuplication example is considering
	  the DXGI_ERROR_UNSUPPORTED as an expected error
	  (See https://github.com/microsoft/Windows-classic-samples/tree/master/Samples/DXGIDesktopDuplication)
	  it might not be recoverable error if application is
	  run against a discrete GPU
	  (See https://docs.microsoft.com/en-US/troubleshoot/windows-client/shell-experience/error-when-dda-capable-app-is-against-gpu)
	  Do early error out if the error happens while opening device,
	  instead of retrying it forever.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2208>

2021-04-29 22:10:15 +0200  Jakub Adam <jakub.adam@collabora.com>

	* sys/d3d11/gstd3d11desktopdup.cpp:
	  d3d11desktopdup: Support desktop switches
	  Before creating output duplication interface, call SetThreadDesktop()
	  with HDESK of the current input desktop in case a desktop switch has
	  occurred.
	  This allows d3d11desktopdupsrc to capture Windows User Account Control
	  (UAC) prompts, which appear on a separate secure desktop. Otherwise
	  IDXGIOutput1::DuplicateOutput() will return E_ACCESSDENIED and the
	  element won't produce any frames as long as the UAC screen is active.
	  Note that in order to access secure desktop the application still has to
	  run at LOCAL_SYSTEM privileges. For GStreamer applications running with
	  regular user privileges this change has no effect.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2209>

2021-04-27 18:08:30 +0000  Jakub Adam <jakub.adam@collabora.com>

	* sys/winscreencap/dxgicapture.c:
	  dxgicapture: reinitialize duplication interface on ERROR_ACCESS_LOST
	  IDXGIOutputDuplication can become invalid for example when there's
	  desktop switch, resolution change or Windows User Account Control prompt
	  appears on screen.
	  When that happens, try to re-create the duplication interface for the
	  changed output. Note that in the case of UAC prompt this operation will
	  fail if the GStreamer process doesn't run at LOCAL_SYSTEM privileges. In
	  such situation the source element won't create any frames as long as the
	  output is occupied by UAC screen.
	  In order to enable UAC access to sufficiently privileged GStreamer
	  processes, call SetThreadDesktop() with the desktop handle that
	  currently receives user input before creating our output duplication.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2204>

2021-04-29 09:35:51 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdksystemmemory.c:
	* sys/msdk/gstmsdkvideomemory.c:
	  msdk: set correct parameters for BGRx frame
	  Otherwise when mapping BGRx frame onto CPU's memory, CPU will get wrong
	  data for B, G, R components
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2205>

2021-04-29 21:12:42 +1000  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtc: advertise support for transport-cc rtcp-fb by default
	  Still requires explicit enabling by the application through the header
	  extension on all the relevant payloaders.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2207>

2021-04-29 21:11:25 +1000  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtc/stats: provide the twcc stats when available
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2207>

2021-04-28 10:52:29 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaallocator.c:
	  va: allocator: Disable derived for Gallium if RGB and reading.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2127>

2021-04-22 17:08:13 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaallocator.c:
	  va: allocator: Disable derived for i965 if YUV and writing.
	  The problem is for uploading YUV frames using derived images, is that
	  derived images imply tiling, so frames are wrongly uploaded.
	  Though derived for reading might work we cannot know the Intel graphics
	  generation to validate the caching. Overall, it's safer to disable derived
	  images for i965.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2127>

2021-04-22 17:07:28 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvadisplay.c:
	* sys/va/gstvadisplay.h:
	  va: display: Fix typo.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2127>

2021-04-22 12:42:35 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaallocator.c:
	  va: allocator: Hack for i965 to get linear RGB DMABufs.
	  i965 driver has a hack to provide linear dmabufs, which is required for RGB
	  formats, since they are directly uploaded by glupload, ignoring tiled modifiers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2127>

2021-04-22 15:51:27 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: Remove unused parameter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2127>

2021-03-31 11:04:17 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: Set usage hint generic if DMABuf.
	  iHD driver sets a tiled DRM modifier if surface's usage hint is set to
	  VPP_WRITE. This result in a garbled rendering when using glimagesink.
	  This patch changes the usage hint to generic if the caps feature is
	  DMABuf. Either way only iHD driver, so far, uses the usage hint flag.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2127>

2021-04-20 12:52:26 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: Get info from caps in decide_allocation()
	  decide_allocation() occurs before set_caps(), where out_info is set,
	  thus setting srcpad_info with zeros or old values. Instead of it, the
	  caps, from the allocation query, are converted and used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2127>

2021-04-23 13:56:43 +0200  Timo Wischer <timo.wischer@de.bosch.com>

	* ext/avtp/gstavtpcrfbase.h:
	  avtp: crf: Remove superfluous sink_event variable
	  This variable was introduced by commit 12ad2a4bcd6c ("avtp: Introduce
	  the CRF Sync Element") but it was never used:
	  $ git log -G "sink_event" -- ext/avtp
	  Signed-off-by: Timo Wischer <timo.wischer@de.bosch.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2201>

2020-02-17 14:11:15 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkh265dec.c:
	  msdkh265dec: Add support for error report too
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/909>

2019-12-06 12:48:37 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkdec.c:
	* sys/msdk/gstmsdkdec.h:
	* sys/msdk/gstmsdkdecproputil.c:
	* sys/msdk/gstmsdkdecproputil.h:
	* sys/msdk/gstmsdkh264dec.c:
	  msdkh264dec: report error to user
	  Sometimes user want to know what the error is when decoding a stream,
	  This commit adds a property of report-error to msdkh264dec. When
	  report-error is TRUE, msdkh264dec may catch bitstream error and frame
	  corruption, then report the error to application by using GST_ELEMENT_ERROR
	  Refer to the code in
	  https://github.com/Intel-Media-SDK/MediaSDK/tree/master/samples
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/909>

2019-12-06 12:02:50 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkdec.c:
	* sys/msdk/gstmsdkdec.h:
	  msdkdec: allow sub class to add extra parameters for additional configuration
	  MSDK allows user add extended buffers to a bitstream for additional
	  configuration. This commit is to support this feature in this plugin
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/909>

2021-04-27 21:52:31 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11basefilter.cpp:
	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11deinterlace.cpp:
	* sys/d3d11/gstd3d11videosink.cpp:
	  d3d11: Handle device change
	  If incoming buffer holds other d3d11 device, and user wants any device
	  (i.e., adapter index wasn't specified explicitly) update our device
	  with that of buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2191>

2021-04-23 19:29:55 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	  d3d11videosink: Delay window setup as much as possible
	  ... so that videosink can handle device update with
	  d3d11 device of the first buffer
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2191>

2021-04-23 18:44:41 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11convert.cpp:
	* sys/d3d11/gstd3d11deinterlace.cpp:
	* sys/d3d11/gstd3d11desktopdupsrc.cpp:
	* sys/d3d11/gstd3d11upload.cpp:
	  d3d11: Don't accept buffer pool which holds different device
	  At the moment, d3d11 plugin doesn't support texture sharing between
	  different device
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2191>

2021-04-23 18:45:48 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	  d3d11decoder: Run gst-indent
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2191>

2021-02-23 11:56:53 -0500  Aaron Boxer <boxerab@gmail.com>

	* ext/meson.build:
	* ext/onnx/gstonnx.c:
	* ext/onnx/gstonnxclient.cpp:
	* ext/onnx/gstonnxclient.h:
	* ext/onnx/gstonnxelement.c:
	* ext/onnx/gstonnxelement.h:
	* ext/onnx/gstonnxobjectdetector.cpp:
	* ext/onnx/gstonnxobjectdetector.h:
	* ext/onnx/meson.build:
	* meson_options.txt:
	  onnx: add plugin to apply ONNX neural network models to video
	  This MR provides a transform element that leverage ONNX runtime
	  to run AI inference on a broad range of neural network toolkits, running
	  on either CPU or GPU. ONNX supports 16 different providers at the
	  moment, so with ONNX we immediately get support for Nvidia, AMD, Xilinx
	  and many others.
	  For the first release, this plugin adds a gstonnxobjectdetector element to
	  detect objects in video frames. Meta data generated by the model is
	  attached to the video buffer as a custom GstObjectDetectorMeta meta.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1997>

2021-04-26 18:00:27 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklinkvideosrc.cpp:
	  decklinkvideosrc: Fix AFD/Bar VANC size check
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2193>

2021-04-23 18:05:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklinkvideosrc.cpp:
	* sys/decklink/gstdecklinkvideosrc.h:
	  decklinkvideosrc: Automatically detect widescreen vs. normal NTSC/PAL
	  Based on the AFD aspect ratio flag the source can detect (in mode=auto)
	  whether this NTSC/PAL mode is actually a normal or a widescreen one and
	  select the caps according to that.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2193>

2021-03-30 12:39:21 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/jpegformat/gstjpegparse.c:
	  jpegparse: Don't generate timestamp for 0/1 framerates
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2194>

2021-04-23 23:20:54 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Set flushing to internal pool on flush event
	  d3d11 decoders use internal pool for DPB texture and
	  Gst*Decoder::new_picture() will be blocked if internal pool is full.
	  We should be able to unblock in on flush-start event as expected.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2192>

2021-04-23 16:53:16 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11decoder.cpp:
	  d3d11: Fix wrong GstD3D11BufferPool type check
	  Fix typos
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2190>

2021-03-31 18:07:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/rtp/gstrtpsrc.c:
	  rtpsrc: Fix wrong/NULL URI handling
	  We can reset the URI to NULL and this fix a deadlock in that case or
	  when the URI was invalid.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2132>

2021-04-22 16:45:27 +0000  Nazar Mokrynskyi <nazar@mokrynskyi.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: downgrade "dropping ICE candidates from SDP" from warning to debug level
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2187>

2021-04-16 20:39:35 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Attach rtpbin even for data channels
	  This is required because the same transport may later be used for RTP.
	  In which case the RTCP needs to flow bi-directionnally already.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2172>

2021-03-04 00:41:09 -0800  Frederich Munch <colsebas@hotmail.com>

	* ext/webrtc/nicetransport.c:
	  Fix missing unref of nice-agent causing sockets to never close.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1960>

2021-04-22 16:09:40 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/webrtc/sctptransport.c:
	  webrtc: Fix sctp task's return type.
	  GstWebRTCBinFunc expects a GstStructure* return type.
	  Fixes segfault on PowerPC.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2188>

2021-04-22 15:50:15 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfvideoenc.cpp:
	  mfvideoenc: Fix UWP build
	  Add missing GST_MF_HAVE_D3D11 define guard
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2185>

2021-04-22 15:42:23 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2client.cpp:
	  wasapi2: Fix UWP build
	  KSAUDIO_SPEAKER_* defines are WINAPI_PARTITION_DESKTOP only
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2185>

2021-04-21 21:43:59 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: fix truncated output segment when seeking with a stop
	  In disabling the stop adjustment for negative rates in
	  03031037fafd2d535bbefb1fdf6024b5d1159043 , two instructions
	  were inverted resulting in the stop always being adjusted by
	  0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2182>

2021-04-20 23:51:49 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/netsim.c:
	  tests/netsim: Set src caps before creating buffers
	  GstHarness requires the source pad caps to be set before
	  buffer allocations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2179>

2021-04-20 02:00:18 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11device.c:
	* gst-libs/gst/d3d11/gstd3d11format.h:
	* tests/check/elements/d3d11colorconvert.c:
	  d3d11: Add support for BGRx and RGBx formats
	  For such formats, we can re-use existing BGRA/RGBA implementations
	  but ignoring alpha channel
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2174>

2021-04-20 18:37:15 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2client.cpp:
	  wasapi2: Implement default audio channel mask
	  Some capture devices might not provide channel mask value which will
	  result in capturing failure because of unknown channel mask in case
	  that device generates more than 2 channels. Although it might not
	  be correct, we can assume channel mask with the given number of channels.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2177>

2021-04-20 18:40:40 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2client.cpp:
	  wasapi2clinet: Simplify set caps
	  Don't need to iterate all structure to set identical values
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2177>

2021-04-20 18:48:18 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2client.cpp:
	  wasapi2client: Run gst-indent
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2177>

2021-04-13 17:35:58 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtcbin test: Don't fail if data channel is created
	  In tests that voluntarily create a data channel.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2168>

2021-04-19 19:06:50 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Filter caps isn't fixed
	  Fix an assertion because the filter paramter passed to
	  gst_caps_is_equal_fixed() wasn't fixed. So use the regular
	  gst_caps_is_equal() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2175>

2021-04-20 02:04:03 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  d3d11: Update plugin doc cache
	  Updating for removed d3d11videosink wrapper bin and the change of
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2113
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2169>

2021-04-17 20:37:13 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11videosink.h:
	* sys/d3d11/gstd3d11videosinkbin.cpp:
	* sys/d3d11/gstd3d11videosinkbin.h:
	* sys/d3d11/meson.build:
	* sys/d3d11/plugin.c:
	  d3d11: Remove d3d11videosink wrapper bin
	  Drop d3d11videosink wrapper bin and handle texture upload
	  in d3d11videosink.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2169>

2021-04-18 13:49:59 +0100  Philippe Normand <philn@igalia.com>

	* ext/webrtcdsp/gstwebrtcdsp.cpp:
	  webrtcdsp: Propagate VAD to audio level meta
	  Whenever the voice activity changed on the stream, update or create an
	  AudioLevelMeta and associate it to the corresponding buffer.
	  Fixes #1073
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2170>

2021-04-19 13:06:23 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/closedcaption/gstcccombiner.c:
	  cccombiner: Use correct enum when registering the max-scheduled property
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2171>

2021-04-15 14:06:59 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	  wpe: Remove code targeting WebKit < 2.24
	  We already depend on wk >= 2.24
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2165>

2021-04-15 13:28:42 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	  wpe: Make threaded view singleton creation thread safe
	  It was leading to interesting failures.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2165>

2021-04-15 00:02:55 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11pluginutils.cpp:
	  d3d11: pluginutils: Fix wrong gst_memory_unmap() on _map() failure
	  It was obvious typo
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2164>

2021-04-13 17:15:22 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/avtpcvfdepay.c:
	  tests/avtp: increase timeout of test_depayloader_fragmented_big
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2160>

2021-04-14 01:59:23 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/dash_mpd.c:
	  check: fix dash_mpdparser_check_mpd_client_set_methods test.
	  Setting guint64 valist properties without type specifier fails
	  on 32bit archs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2161>

2021-04-13 16:34:15 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/line21.c:
	  line21enc: fix remove-caption-meta property test
	  It's possible for the same address to be allocated to the decoded
	  metadata. Switch test to actual detect if it was removed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2159>

2021-04-13 06:40:43 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/shm.c:
	  tests: fix shm test deadlock
	  Stopping the consumer first would occasionally allow the producer
	  to fill the shm segment causing it to block in send() and unable
	  to be stopped.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2158>

2021-04-13 05:54:37 -0400  Doug Nazar <nazard@nazar.ca>

	  check: Fix test dash_mpdparser_xlink_period
	  Test used http://404/ERROR/XML.period as an invalid url. Curl now
	  interprets that as an 32bit int and tries an actual connect which
	  timesout. Use .invalid as an IANA reserved domain for invalid DNS.
	  curl -v http://404/ERROR/XML.period
	  *   Trying 0.0.1.148:80...
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2157>

2021-04-13 15:42:09 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaallocator.c:
	  va: allocator: Fix an unmap typo in _va_copy.
	  No need to unmap the the src memory when failing to allocate the
	  dst mem. It has not been mapped yet.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2156>

2021-04-06 12:03:32 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkcontext.c:
	  msdk: don't fall back to the default device
	  Ohterwise when user set a wrong device, the warning message doesn't get
	  printed if user doesn't set a right debug level in the environment, this
	  behavior might mislead user that the wrong device is being used.
	  This fixed https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1567
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2138>

2021-04-12 17:54:31 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Simplify answer_caps intersection code a little
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-04-12 15:35:41 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtcbin test: Wait for set-local-desc & set-remote-desc to continue
	  To avoid racing betwen the SDPs being set and the next step of the
	  test, let's wait for setting the SDP both locally and remotely to succeed.
	  of the test
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-04-01 14:51:30 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcbin.h:
	* ext/webrtc/webrtcdatachannel.c:
	  webrtcbin: Move GstPromise reply to operation framework
	  This makes it possible to reply to all promises in a consistent way
	  without having to do a unlock/relock that is always risky.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-04-01 14:41:11 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Make sure PC_LOCK is release when replying to promise
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-31 11:56:10 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Take PC lock around all entry points
	  All of those action signals change the internal state, so
	  protect it by using the PC_LOCK
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-31 11:49:36 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Take PC_LOCK when requesting new pad
	  This is needed to avoid having the state change under us.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-31 11:41:45 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtcbin test: Add for the case where a second m-line is renegotiated
	  This is for the case where there answerer forces a specific media type
	  for a m-line, but he origin offer only has the other media type. In this
	  case, we will create a second transceiver on receiving the offer and add
	  the desired media type using renegotiation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-31 11:40:28 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Ensure that query caps method returns valid caps
	  This means rejecting any caps that aren't fixed. Also, use a filter
	  that will create unfixed caps if the other side just returns ANY.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-31 11:33:21 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Associate the stream with a new transceiver
	  Otherwise, this newly created transceiver has no stream and it
	  aborts later when it tries to connect the input pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-31 11:30:16 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Match unassociated transceiver by kind too
	  When a new m-line comes in that doesn't have a transceiver, only match
	  existing transceivers of the same kind.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-30 18:01:56 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Fix typoe in name of error GstStructure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-30 16:16:50 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtc test: Verify that forcing different kinds on peers fails
	  If the offer contains an audio kind and a video kind, forcing them both
	  at m-line zero will fail.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-30 16:04:33 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtc tests: Verify that create-offer is rejected when needed
	  Verify that it gets rejected if a m-line at index 1 is requested but
	  there is no m-line 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-29 19:47:21 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtcbin test: Add test for various cases where get_request_pad is meant to fail
	  This should ensure that the recently added code works.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 21:09:04 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Enforce direction on request sink pad with a specific name
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 20:55:36 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* tests/check/elements/webrtcbin.c:
	  webrtcbin: Try to match an existing transceiver on pad request
	  This should avoid creating extra transceivers that are duplicated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 20:02:13 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Validate locked m-lines in set*Description
	  Verify that the remote description match the locked m-lines, otherwise
	  just reject the SDP.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 19:38:57 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcbin.h:
	  webrtcbin: Remove unused session_mid_map
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 18:15:50 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/utils.h:
	  webrtcbin: Enforce m-line restrictions when creating offer
	  First fail the offer creation if the mid of an existing offer doesn't
	  match a forced m-mline.
	  Then, for all newly added mlines, first look for a transceiver that
	  forces this m-line, then add a "floating" one, then the data channel.
	  And repeat this until we're out of transceivers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 15:57:15 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/webrtctransceiver.h:
	  webrtcbin: Remember if a transceiver had a forced m-line
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 15:54:35 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Enforce same-kind on request sink pad with a specific name
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 15:23:34 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Enforce compatible caps on pad request
	  If a pad is requested with certain caps and there is already a
	  transceiver, reject the pad request if the caps don't match.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 15:19:09 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Reject pad request for a specific m-line if it already exists
	  This way, the app developer is in control.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 15:02:50 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Make request-pad validation an early return
	  This reduces the indendation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-26 14:48:58 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Add document for webrtcbin itself to generated doc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-23 20:18:24 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/webrtcbin.c:
	  webrtcbin test: Test adding a stream to a stream+datachannel
	  This use-case was previously broken by the expectation of having
	  a 1-1 match between the pad id and the m-line index
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-23 19:51:00 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtc: Reset received_caps when releasing pad
	  This is to work around a race where the pad is accessed in the
	  webrtc main thread while being released.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-03-23 17:51:16 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcbin.h:
	  webrtcbin: Split pad name from mline
	  The simple case where this breaks is if you add a
	  datachannel and want to add a new pad (a new media) after). Another
	  case where this is broken is if the order of the media is forced to
	  something different by the peer.
	  It's more simple to just split both things completely. In practice, the
	  pads will be named in the order in which they are allocated, so it
	  shouldn't change the current behaviour, just enable new ones.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2104>

2021-02-25 05:04:00 +1100  Jan Schmidt <jan@centricular.com>

	* gst/switchbin/gstswitchbin.c:
	  switchbin: When collecting srcpad caps, don't intersect with path caps.
	  The path caps describe the input caps that will select each path, don't
	  intersect those with the srcpad caps, which could be completely
	  different. Instead, when querying allowed caps for the srcpad, just
	  construct the union of all possible output caps from all path srcpads.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2018>

2021-02-16 15:00:07 +1100  Jan Schmidt <jan@centricular.com>

	* gst/switchbin/gstswitchbin.c:
	  switchbin: Don't report sink pad caps for src pad queries.
	  When handling a caps query on the src pad, don't return the union
	  of input caps. Even when not active, a path element can be queried
	  for srcpad template caps, or for dropping paths the allowed downstream
	  caps is anything - as data will be dropped anyway.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2018>

2021-02-25 15:22:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/accurip/gstaccurip.c:
	* gst/accurip/gstaccurip.h:
	* gst/adpcmdec/adpcmdec.c:
	* gst/adpcmenc/adpcmenc.c:
	* gst/aiff/aiff.c:
	* gst/aiff/aiffelements.h:
	* gst/aiff/aiffmux.c:
	* gst/aiff/aiffparse.c:
	* gst/aiff/gstaiffelement.c:
	* gst/aiff/meson.build:
	* gst/asfmux/gstasf.c:
	* gst/asfmux/gstasfmux.c:
	* gst/asfmux/gstasfmux.h:
	* gst/asfmux/gstasfparse.c:
	* gst/asfmux/gstasfparse.h:
	* gst/asfmux/gstrtpasfpay.c:
	* gst/asfmux/gstrtpasfpay.h:
	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	* gst/audiobuffersplit/gstaudiobuffersplit.h:
	* gst/audiofxbad/gstaudiochannelmix.c:
	* gst/audiofxbad/gstaudiochannelmix.h:
	* gst/audiofxbad/gstaudiofxbad.c:
	* gst/audiolatency/gstaudiolatency.c:
	* gst/audiolatency/gstaudiolatency.h:
	* gst/audiomixmatrix/gstaudiomixmatrix.c:
	* gst/audiomixmatrix/gstaudiomixmatrix.h:
	* gst/audiovisualizers/gstspacescope.c:
	* gst/audiovisualizers/gstspacescope.h:
	* gst/audiovisualizers/gstspectrascope.c:
	* gst/audiovisualizers/gstspectrascope.h:
	* gst/audiovisualizers/gstsynaescope.c:
	* gst/audiovisualizers/gstsynaescope.h:
	* gst/audiovisualizers/gstwavescope.c:
	* gst/audiovisualizers/gstwavescope.h:
	* gst/audiovisualizers/plugin.c:
	* gst/autoconvert/gstautoconvert.c:
	* gst/autoconvert/gstautoconvert.h:
	* gst/autoconvert/gstautovideoconvert.c:
	* gst/autoconvert/gstautovideoconvert.h:
	* gst/autoconvert/plugin.c:
	* gst/bayer/gstbayer.c:
	* gst/bayer/gstbayer2rgb.c:
	* gst/bayer/gstbayerelements.h:
	* gst/bayer/gstrgb2bayer.c:
	* gst/camerabin2/gstcamerabin2.c:
	* gst/camerabin2/gstcamerabin2.h:
	* gst/camerabin2/gstplugin.c:
	* gst/camerabin2/gstviewfinderbin.c:
	* gst/camerabin2/gstviewfinderbin.h:
	* gst/camerabin2/gstwrappercamerabinsrc.c:
	* gst/camerabin2/gstwrappercamerabinsrc.h:
	* gst/coloreffects/gstchromahold.c:
	* gst/coloreffects/gstchromahold.h:
	* gst/coloreffects/gstcoloreffects.c:
	* gst/coloreffects/gstcoloreffects.h:
	* gst/coloreffects/gstplugin.c:
	* gst/debugutils/debugutilsbad.c:
	* gst/debugutils/fpsdisplaysink.c:
	* gst/debugutils/gstchecksumsink.c:
	* gst/debugutils/gstchopmydata.c:
	* gst/debugutils/gstclockselect.c:
	* gst/debugutils/gstcompare.c:
	* gst/debugutils/gstdebugspy.c:
	* gst/debugutils/gstdebugutilsbadelements.h:
	* gst/debugutils/gsterrorignore.c:
	* gst/debugutils/gstfakeaudiosink.c:
	* gst/debugutils/gstfakevideosink.c:
	* gst/debugutils/gsttestsrcbin.c:
	* gst/debugutils/gstwatchdog.c:
	* gst/dvbsubenc/gstdvbsubenc.c:
	* gst/dvbsubenc/gstdvbsubenc.h:
	* gst/dvbsuboverlay/gstdvbsuboverlay.c:
	* gst/dvbsuboverlay/gstdvbsuboverlay.h:
	* gst/dvdspu/gstdvdspu.c:
	* gst/dvdspu/gstdvdspu.h:
	* gst/faceoverlay/gstfaceoverlay.c:
	* gst/faceoverlay/gstfaceoverlay.h:
	* gst/festival/gstfestival.c:
	* gst/festival/gstfestival.h:
	* gst/fieldanalysis/gstfieldanalysis.c:
	* gst/fieldanalysis/gstfieldanalysis.h:
	* gst/freeverb/gstfreeverb.c:
	* gst/freeverb/gstfreeverb.h:
	* gst/gaudieffects/gstburn.c:
	* gst/gaudieffects/gstburn.h:
	* gst/gaudieffects/gstchromium.c:
	* gst/gaudieffects/gstchromium.h:
	* gst/gaudieffects/gstdilate.c:
	* gst/gaudieffects/gstdilate.h:
	* gst/gaudieffects/gstdodge.c:
	* gst/gaudieffects/gstdodge.h:
	* gst/gaudieffects/gstexclusion.c:
	* gst/gaudieffects/gstexclusion.h:
	* gst/gaudieffects/gstgaussblur.c:
	* gst/gaudieffects/gstgaussblur.h:
	* gst/gaudieffects/gstplugin.c:
	* gst/gaudieffects/gstplugin.h:
	* gst/gaudieffects/gstsolarize.c:
	* gst/gaudieffects/gstsolarize.h:
	* gst/gdp/gstgdp.c:
	* gst/gdp/gstgdpdepay.c:
	* gst/gdp/gstgdpdepay.h:
	* gst/gdp/gstgdpelement.c:
	* gst/gdp/gstgdpelements.h:
	* gst/gdp/gstgdppay.c:
	* gst/gdp/gstgdppay.h:
	* gst/gdp/meson.build:
	* gst/geometrictransform/gstbulge.c:
	* gst/geometrictransform/gstbulge.h:
	* gst/geometrictransform/gstcircle.c:
	* gst/geometrictransform/gstcircle.h:
	* gst/geometrictransform/gstdiffuse.c:
	* gst/geometrictransform/gstdiffuse.h:
	* gst/geometrictransform/gstfisheye.c:
	* gst/geometrictransform/gstfisheye.h:
	* gst/geometrictransform/gstkaleidoscope.c:
	* gst/geometrictransform/gstkaleidoscope.h:
	* gst/geometrictransform/gstmarble.c:
	* gst/geometrictransform/gstmarble.h:
	* gst/geometrictransform/gstmirror.c:
	* gst/geometrictransform/gstmirror.h:
	* gst/geometrictransform/gstperspective.c:
	* gst/geometrictransform/gstperspective.h:
	* gst/geometrictransform/gstpinch.c:
	* gst/geometrictransform/gstpinch.h:
	* gst/geometrictransform/gstrotate.c:
	* gst/geometrictransform/gstrotate.h:
	* gst/geometrictransform/gstsphere.c:
	* gst/geometrictransform/gstsphere.h:
	* gst/geometrictransform/gstsquare.c:
	* gst/geometrictransform/gstsquare.h:
	* gst/geometrictransform/gststretch.c:
	* gst/geometrictransform/gststretch.h:
	* gst/geometrictransform/gsttunnel.c:
	* gst/geometrictransform/gsttunnel.h:
	* gst/geometrictransform/gsttwirl.c:
	* gst/geometrictransform/gsttwirl.h:
	* gst/geometrictransform/gstwaterripple.c:
	* gst/geometrictransform/gstwaterripple.h:
	* gst/geometrictransform/plugin.c:
	* gst/id3tag/gstid3mux.c:
	* gst/id3tag/gstid3mux.h:
	* gst/inter/gstinter.c:
	* gst/inter/gstinteraudiosink.c:
	* gst/inter/gstinteraudiosink.h:
	* gst/inter/gstinteraudiosrc.c:
	* gst/inter/gstinteraudiosrc.h:
	* gst/inter/gstintersubsink.c:
	* gst/inter/gstintersubsink.h:
	* gst/inter/gstintersubsrc.c:
	* gst/inter/gstintersubsrc.h:
	* gst/inter/gstintervideosink.c:
	* gst/inter/gstintervideosink.h:
	* gst/inter/gstintervideosrc.c:
	* gst/inter/gstintervideosrc.h:
	* gst/interlace/gstinterlace.c:
	* gst/ivfparse/gstivfparse.c:
	* gst/ivfparse/gstivfparse.h:
	* gst/ivtc/gstcombdetect.c:
	* gst/ivtc/gstcombdetect.h:
	* gst/ivtc/gstivtc.c:
	* gst/ivtc/gstivtc.h:
	* gst/jp2kdecimator/gstjp2kdecimator.c:
	* gst/jp2kdecimator/gstjp2kdecimator.h:
	* gst/jpegformat/gstjifmux.c:
	* gst/jpegformat/gstjifmux.h:
	* gst/jpegformat/gstjpegformat.c:
	* gst/jpegformat/gstjpegparse.c:
	* gst/jpegformat/gstjpegparse.h:
	* gst/librfb/gstrfbsrc.c:
	* gst/librfb/gstrfbsrc.h:
	* gst/midi/midi.c:
	* gst/midi/midiparse.c:
	* gst/midi/midiparse.h:
	* gst/mpegdemux/gstmpegdemux.c:
	* gst/mpegdemux/gstmpegdemux.h:
	* gst/mpegdemux/plugin.c:
	* gst/mpegpsmux/mpegpsmux.c:
	* gst/mpegpsmux/mpegpsmux.h:
	* gst/mpegtsdemux/gsttsdemux.c:
	* gst/mpegtsdemux/mpegtsbase.c:
	* gst/mpegtsdemux/mpegtsparse.c:
	* gst/mpegtsdemux/mpegtsparse.h:
	* gst/mpegtsdemux/tsdemux.c:
	* gst/mpegtsdemux/tsdemux.h:
	* gst/mpegtsmux/gstatscmux.c:
	* gst/mpegtsmux/gstatscmux.h:
	* gst/mpegtsmux/gstbasetsmux.c:
	* gst/mpegtsmux/gstmpegtsmux.c:
	* gst/mpegtsmux/gstmpegtsmux.h:
	* gst/mpegtsmux/gstmpegtsmuxplugin.c:
	* gst/mxf/gstmxfelement.c:
	* gst/mxf/gstmxfelements.h:
	* gst/mxf/meson.build:
	* gst/mxf/mxf.c:
	* gst/mxf/mxfdemux.c:
	* gst/mxf/mxfmux.c:
	* gst/netsim/gstnetsim.c:
	* gst/netsim/gstnetsim.h:
	* gst/onvif/gstrtponvif.c:
	* gst/onvif/gstrtponvifparse.c:
	* gst/onvif/gstrtponvifparse.h:
	* gst/onvif/gstrtponviftimestamp.c:
	* gst/onvif/gstrtponviftimestamp.h:
	* gst/pcapparse/gstirtspparse.c:
	* gst/pcapparse/gstirtspparse.h:
	* gst/pcapparse/gstpcapparse.c:
	* gst/pcapparse/gstpcapparse.h:
	* gst/pcapparse/plugin.c:
	* gst/pnm/gstpnm.c:
	* gst/pnm/gstpnmdec.c:
	* gst/pnm/gstpnmdec.h:
	* gst/pnm/gstpnmenc.c:
	* gst/pnm/gstpnmenc.h:
	* gst/proxy/gstproxy.c:
	* gst/proxy/gstproxysink.c:
	* gst/proxy/gstproxysink.h:
	* gst/proxy/gstproxysrc.c:
	* gst/proxy/gstproxysrc.h:
	* gst/rawparse/gstaudioparse.c:
	* gst/rawparse/gstaudioparse.h:
	* gst/rawparse/gstvideoparse.c:
	* gst/rawparse/gstvideoparse.h:
	* gst/rawparse/plugin.c:
	* gst/removesilence/gstremovesilence.c:
	* gst/removesilence/gstremovesilence.h:
	* gst/rist/gstrist.c:
	* gst/rist/gstrist.h:
	* gst/rist/gstristplugin.c:
	* gst/rist/gstristrtpdeext.c:
	* gst/rist/gstristrtpext.c:
	* gst/rist/gstristrtxreceive.c:
	* gst/rist/gstristrtxsend.c:
	* gst/rist/gstristsink.c:
	* gst/rist/gstristsrc.c:
	* gst/rist/gstroundrobin.c:
	* gst/rist/gstroundrobin.h:
	* gst/rist/meson.build:
	* gst/rtmp2/gstrtmp2.c:
	* gst/rtmp2/gstrtmp2element.c:
	* gst/rtmp2/gstrtmp2elements.h:
	* gst/rtmp2/gstrtmp2sink.c:
	* gst/rtmp2/gstrtmp2src.c:
	* gst/rtmp2/meson.build:
	* gst/rtp/gstrtpsink.c:
	* gst/rtp/gstrtpsink.h:
	* gst/rtp/gstrtpsrc.c:
	* gst/rtp/gstrtpsrc.h:
	* gst/rtp/plugin.c:
	* gst/sdp/gstsdpdemux.c:
	* gst/sdp/gstsdpdemux.h:
	* gst/sdp/gstsdpelem.c:
	* gst/sdp/gstsdpsrc.c:
	* gst/sdp/gstsdpsrc.h:
	* gst/segmentclip/gstaudiosegmentclip.c:
	* gst/segmentclip/gstaudiosegmentclip.h:
	* gst/segmentclip/gstvideosegmentclip.c:
	* gst/segmentclip/gstvideosegmentclip.h:
	* gst/segmentclip/plugin.c:
	* gst/siren/gstsiren.c:
	* gst/siren/gstsirendec.c:
	* gst/siren/gstsirendec.h:
	* gst/siren/gstsirenenc.c:
	* gst/siren/gstsirenenc.h:
	* gst/smooth/gstsmooth.c:
	* gst/smooth/gstsmooth.h:
	* gst/speed/gstspeed.c:
	* gst/speed/gstspeed.h:
	* gst/subenc/gstsrtenc.c:
	* gst/subenc/gstsrtenc.h:
	* gst/subenc/gstsubenc.c:
	* gst/subenc/gstwebvttenc.c:
	* gst/subenc/gstwebvttenc.h:
	* gst/switchbin/gstswitchbin.c:
	* gst/switchbin/gstswitchbin.h:
	* gst/switchbin/plugin.c:
	* gst/timecode/gstavwait.c:
	* gst/timecode/gstavwait.h:
	* gst/timecode/gsttimecodestamper.c:
	* gst/timecode/gsttimecodestamper.h:
	* gst/timecode/plugin.c:
	* gst/transcode/gsttranscodebin.c:
	* gst/transcode/gsttranscodeelement.c:
	* gst/transcode/gsttranscodeelements.h:
	* gst/transcode/gsttranscodeplugin.c:
	* gst/transcode/gsturitranscodebin.c:
	* gst/transcode/meson.build:
	* gst/videofilters/gstscenechange.c:
	* gst/videofilters/gstscenechange.h:
	* gst/videofilters/gstvideodiff.c:
	* gst/videofilters/gstvideodiff.h:
	* gst/videofilters/gstvideofiltersbad.c:
	* gst/videofilters/gstzebrastripe.c:
	* gst/videofilters/gstzebrastripe.h:
	* gst/videoframe_audiolevel/gstvideoframe-audiolevel.c:
	* gst/videoframe_audiolevel/gstvideoframe-audiolevel.h:
	* gst/videoparsers/gstav1parse.c:
	* gst/videoparsers/gstdiracparse.c:
	* gst/videoparsers/gsth263parse.c:
	* gst/videoparsers/gsth264parse.c:
	* gst/videoparsers/gsth265parse.c:
	* gst/videoparsers/gstjpeg2000parse.c:
	* gst/videoparsers/gstmpeg4videoparse.c:
	* gst/videoparsers/gstmpegvideoparse.c:
	* gst/videoparsers/gstpngparse.c:
	* gst/videoparsers/gstvc1parse.c:
	* gst/videoparsers/gstvideoparserselement.c:
	* gst/videoparsers/gstvideoparserselements.h:
	* gst/videoparsers/gstvp9parse.c:
	* gst/videoparsers/meson.build:
	* gst/videoparsers/plugin.c:
	* gst/videosignal/gstsimplevideomark.c:
	* gst/videosignal/gstsimplevideomark.h:
	* gst/videosignal/gstsimplevideomarkdetect.c:
	* gst/videosignal/gstsimplevideomarkdetect.h:
	* gst/videosignal/gstvideoanalyse.c:
	* gst/videosignal/gstvideoanalyse.h:
	* gst/videosignal/gstvideosignal.c:
	* gst/vmnc/vmncdec.c:
	* gst/vmnc/vmncdec.h:
	* gst/y4m/gsty4mdec.c:
	* gst/y4m/gsty4mdec.h:
	  gst-plugins: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2110>

2021-04-10 20:34:26 +0200  Helmut Januschka <helmut@januschka.com>

	* gst/rtmp2/rtmp/rtmpclient.c:
	  allow NetStream.Play.PublishNotify Message
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2154>

2021-03-26 11:00:50 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* sys/bluez/bluez-plugin.c:
	* sys/bluez/gsta2dpsink.c:
	* sys/bluez/gsta2dpsink.h:
	* sys/bluez/gstavdtpsink.c:
	* sys/bluez/gstavdtpsink.h:
	* sys/bluez/gstavdtpsrc.c:
	* sys/bluez/gstavdtpsrc.h:
	* sys/bluez/gstbluezelement.c:
	* sys/bluez/gstbluezelements.h:
	* sys/bluez/meson.build:
	* sys/decklink/gstdecklink.cpp:
	* sys/decklink/gstdecklink.h:
	* sys/decklink/gstdecklinkaudiosink.cpp:
	* sys/decklink/gstdecklinkaudiosink.h:
	* sys/decklink/gstdecklinkaudiosrc.cpp:
	* sys/decklink/gstdecklinkaudiosrc.h:
	* sys/decklink/gstdecklinkdeviceprovider.cpp:
	* sys/decklink/gstdecklinkdeviceprovider.h:
	* sys/decklink/gstdecklinkplugin.cpp:
	* sys/decklink/gstdecklinkvideosink.cpp:
	* sys/decklink/gstdecklinkvideosink.h:
	* sys/decklink/gstdecklinkvideosrc.cpp:
	* sys/decklink/gstdecklinkvideosrc.h:
	* sys/decklink/meson.build:
	* sys/dvb/dvbbasebin.c:
	* sys/dvb/dvbbasebin.h:
	* sys/dvb/gstdvb.c:
	* sys/dvb/gstdvbelement.c:
	* sys/dvb/gstdvbelements.h:
	* sys/dvb/gstdvbsrc.c:
	* sys/dvb/gstdvbsrc.h:
	* sys/dvb/meson.build:
	* sys/fbdev/gstfbdevsink.c:
	* sys/fbdev/gstfbdevsink.h:
	* sys/ipcpipeline/gstipcpipeline.c:
	* sys/ipcpipeline/gstipcpipelineelement.c:
	* sys/ipcpipeline/gstipcpipelineelements.h:
	* sys/ipcpipeline/gstipcpipelinesink.c:
	* sys/ipcpipeline/gstipcpipelinesrc.c:
	* sys/ipcpipeline/gstipcslavepipeline.c:
	* sys/ipcpipeline/meson.build:
	* sys/kms/gstkmssink.c:
	* sys/kms/gstkmssink.h:
	* sys/magicleap/mlaudiosink.c:
	* sys/magicleap/mlaudiosink.h:
	* sys/magicleap/plugin.c:
	* sys/opensles/meson.build:
	* sys/opensles/opensles.c:
	* sys/opensles/opensles.h:
	* sys/opensles/openslesplugin.c:
	* sys/opensles/openslessink.c:
	* sys/opensles/openslessink.h:
	* sys/opensles/openslessrc.c:
	* sys/opensles/openslessrc.h:
	* sys/shm/gstshm.c:
	* sys/shm/gstshmsink.c:
	* sys/shm/gstshmsink.h:
	* sys/shm/gstshmsrc.c:
	* sys/shm/gstshmsrc.h:
	* sys/uvch264/gstuvch264.c:
	* sys/uvch264/gstuvch264_mjpgdemux.c:
	* sys/uvch264/gstuvch264_mjpgdemux.h:
	* sys/uvch264/gstuvch264_src.c:
	* sys/uvch264/gstuvch264_src.h:
	* sys/uvch264/gstuvch264deviceprovider.c:
	* sys/uvch264/gstuvch264deviceprovider.h:
	  plugins-sys: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2116>

2021-04-09 01:54:50 +0900  Seungha Yang <seungha@centricular.com>

	  codecs: vp9decoder: Update docs
	  * Remove "FIXME 1.20": All the bits are addressed already by using
	  vp9parse element
	  * Fix copy & paste errors: Some comments were copied from h264decoder
	  blindly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2151>

2021-04-09 12:45:46 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstvp9decoder.c:
	  codecs: vp9decoder: Make duplicate_picture() vfunc optional
	  The default implementation was required when superframe parsing
	  was handled by vp9decoder. For instance, if a superframe consists
	  of multiple frames with show_existing_frame header, it was vague
	  that which GstVp9Picture should consume GstVideoCodecFrame.
	  After 1.18 release, we introduced vp9parse element and
	  superframe should be handled by upstream vp9parse elemenet now.
	  So, we don't need to care about the superframe at vp9decoder class
	  level anymore. Simply, a frame corresponding to show_existing_frame
	  can be dropped if subclass doesn't implement duplicate_picture().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2151>

2021-03-30 14:40:53 +0100  Philippe Normand <philn@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/debugutils/debugutilsbad.c:
	* gst/debugutils/gstfakeaudiosink.c:
	* gst/debugutils/gstfakeaudiosink.h:
	* gst/debugutils/meson.build:
	  debugutils: Add fakeaudiosink element
	  This element can be useful for CI purposes on machines not running any system
	  audio daemon. The element implements the GstStreamVolume interface.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2125>

2021-04-08 14:53:52 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecallocator.c:
	  v4l2codecs: allocator: Keep dmabuf mapped
	  DMABuf allocator already implements DMABuf Sync, meaning that doing
	  mmap/munmap (unless the mode have changed) is not required. In fact, on
	  systems with IOMMU it makes the kernel redo the mmu table which is visible
	  in the CPU usage.
	  This change reduces CPU usage when decoding
	  bbb_sunflower_2160p_60fps_normal.mp4 on RK3399 SoC from over 30% to
	  around 15%.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2152>

2021-04-03 14:16:22 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaallocator.c:
	  va: allocator: Implement mem_copy for VA memory.
	  Implementation of mem_copy() virtual method for GstVaAllocator.
	  It's a deep copy where a new VA memory is popped out from the pool or,
	  if pool is empty, a new memory is allocated. The original memory is
	  mapped to read, and if its VAImage is not derived and size to copy is
	  the whole surface, the mapped VAImage of the original memory is put in
	  the new memory. Otherwise a slow memcpy is done between both memories.
	  Fixes: #1568
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2136>

2021-04-08 20:29:29 +0800  Zhao Zhili <zhilizhao@tencent.com>

	* ext/srt/gstsrtobject.c:
	  srtobject: fix optlen of srt_getsockflag
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2149>

2021-01-14 14:24:06 +0800  Haihua Hu <jared.hu@nxp.com>

	* gst/videoparsers/gstjpeg2000parse.c:
	  jpeg2000parse: fix critical log when play one gray colorspace video
	  Need guess color space based on number of components when cannot
	  got it from sink caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1955>

2020-12-11 16:33:39 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/ldac/gstldacenc.c:
	  ldacenc: Emit message on errors
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1875>

2020-12-11 16:26:00 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/sbc/gstsbcenc.c:
	  sbc: Return hard error on allocation or mapping error
	  Also post a message on the bus in these cases.wpe: Emit load-progress messages
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1875>

2020-10-25 16:39:48 +0000  Matthieu De Beule <matthieu.de@beule.be>

	* gst-libs/gst/player/gstplayer.c:
	  Tell programmers that set_volume uses linear scale (fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1439)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1722>

2020-12-11 14:52:20 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/ldac/gstldacenc.c:
	* ext/sbc/gstsbcenc.c:
	  sbc/ldac: Don't use GST_CAPS_NONE to mean NULL
	  The GST_CAPS_NONE macro actually returns a instance of
	  a empty caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1874>

2021-03-30 17:24:38 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstvp9decoder.c:
	  codecs: vp9decoder: Allow decoding start with intra-only frame
	  As per spec "7.2 Uncompressed header semantics" and
	  "8.2 Frame order constraints", decoding can start with intra-only
	  frame. This commit is for fixing vp90-2-16-intra-only.webm
	  bitstream test failure.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2112>

2021-03-29 02:11:22 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstvp9decoder.c:
	* gst-libs/gst/codecs/gstvp9decoder.h:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	* sys/nvcodec/gstnvvp9dec.c:
	* sys/va/gstvavp9dec.c:
	  codecs: vp9decoder: Pass GstVideoCodecFrame to duplicate_picture()
	  ... and fix picture duplication logic for vavp9dec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2112>

2021-03-30 11:49:43 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstvp9decoder.c:
	* gst-libs/gst/codecs/gstvp9decoder.h:
	* gst-libs/gst/codecs/gstvp9picture.h:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	* sys/nvcodec/gstnvvp9dec.c:
	* sys/va/gstvavp9dec.c:
	  codecs: vp9decoder: Port to GstVp9StatefulParser
	  Use newly implemented VP9 parser. Since new GstVp9FrameHeader
	  struct holds all the information of the stream, baseclass will not
	  pass parser object to new_sequence() method anymore.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2112>

2021-03-27 15:32:59 +0900  Seungha Yang <seungha@centricular.com>

	  codecparsers: Reimplement VP9 parser
	  Existing VP9 parser implementation doesn't provide information
	  required by other stateless decoding APIs (i.e., DXVA and NVDEC),
	  specifically loop filter and segmentation parameters might not exist
	  current frame. So parser needs to fill the information by using previously
	  parsed information.
	  We can update the gstvp9parser implementation so that it can provide
	  all information required by stateless decoding APIs with a huge API break,
	  or adding more ugly struct in it.
	  Instead doing as such, this commit introduce a new VP9 parser implementation.
	  What is different from existing one?
	  * All variables will follow the specification as much as possible:
	  VP9 Bitstream & Decoding Process Specification - v0.6 31st March 2016
	  * Parser will fill all the required information for decoding frame
	  to GstVp9FrameHeader struct. In case of old VP9 parser,
	  user needs to read additional data from parser's member variables.
	  * GstVp9StatefulParser object struct is completely completely opaque
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2112>

2021-03-28 16:11:23 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstvp9decoder.c:
	  codecs: vp9decoder: Don't check codec change with show_existing_frame
	  Show existing frame will zero frame_type value but it doesn't mean
	  it's keyframe.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2112>

2021-04-06 16:24:39 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2decoder.c:
	  v4l2codecs: Fix holding of reference picture buffer
	  The picture buffer (V4L2 CAPTURE buffer) was being released immediatly
	  when the request was done. This was problematic since even after the
	  request is done, the picture buffer might still be used as a reference
	  and should not be reused for further decoding yet.
	  This change effectively bind the picture buffer lifetime to the request.
	  So that if the picture is never showned (decode only frame) or the request
	  queue is full before the buffer is displayed, the picture buffer will
	  remain alive.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2142>

2021-04-07 07:48:57 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/rtmp2/rtmp/rtmpmessage.c:
	  rtmp2: Use correct size of write macro for param2.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2146>

2021-04-01 07:59:45 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	  va: filter: remove unsupported formats because driver's bugs
	  Add a way to filter out video formats from caps because of unresolved
	  bugs in drivers. In this case for media-driver (iHD) where some RGB32
	  formats are not handled correctly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2129>

2021-03-31 09:59:21 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavideoformat.c:
	  va: videoformats: Map more color formats.
	  Added Y212_LE, Y412_LE, P012_LE, Y444, RGB16, RGB and BGR10A2_LE in
	  the static map betwen VA and GStreamer color formats. This synchronize
	  the map used in gstremaer-vaapi and this plugin.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2129>

2021-03-31 09:50:46 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvadisplay.c:
	* sys/va/gstvavideoformat.c:
	* sys/va/gstvavideoformat.h:
	  va: videoformats: Fix RGB32 mapping between VA and GStreamer.
	  Different VA drives might have different definitions for RGB32 color
	  formats because different bit interpretation. Sadly the specification
	  doesn't clarify these interpretations. So VA users have to figure out
	  what's the correct mapping with it's rendering color format
	  definition.
	  This patch aims to fix the static map structure after the
	  VAImageFormats are queried. There is another static map with the
	  different interpretations of the RGB32 formats, and compare them with
	  the given VAImageFormat, then with the GStreamer color format, update
	  the mapping table.
	  Finally, some RGB32 color formats were added.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2129>

2021-04-07 01:03:15 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/avtp/gstavtpcvfdepay.c:
	* ext/avtp/gstavtpcvfpay.c:
	* ext/avtp/gstavtpsrc.c:
	  avtp: Fix log format macros
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2145>

2021-04-06 13:07:52 -0300  Daniel Almeida <daniel.almeida@collabora.com>

	* sys/v4l2codecs/gstv4l2decoder.c:
	  v4l2codecs: gstv4l2decoder.c: Add missing include
	  Add missing include for sys/ioctl.h so that these warnings dissapear
	  when compiling:
	  ../subprojects/gst-plugins-bad/sys/v4l2codecs/gstv4l2decoder.c:179:9:
	  warning: implicit declaration of function ‘ioctl’
	  [-Wimplicit-function-declaration]
	  Signed-off-by: Daniel Almeida <daniel.almeida@collabora.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2140>

2021-04-06 19:18:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/curl/gstcurlsftpsink.c:
	  curlsftpsink: Don't run GST_DEBUG_OBJECT() on a class struct
	  It's supposed to be a GObject.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2141>

2021-03-29 15:29:30 +0800  Yinhang Liu <yinhang.liu@intel.com>

	* sys/msdk/gstmsdkenc.c:
	* sys/msdk/gstmsdkh265enc.c:
	  msdkh265enc: add support for RGB 10bit format
	  The SDK can support A2RGB10 format [1], A2RGB10 format corresponds
	  to BGR10A2_LE format in gstreamer. A2RGB10 format only supports
	  low-power mode.
	  Example:
	  gst-launch-1.0 videotestsrc ! video/x-raw,format=BGR10A2_LE \
	  ! msdkh265enc low-power=1 ! fakesink
	  [1] https://github.com/Intel-Media-SDK/MediaSDK/blob/master/doc/mediasdk-man.md#mfxframedata
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2126>

2021-03-31 16:18:04 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst-libs/gst/vulkan/android/gstvkwindow_android.c:
	* gst-libs/gst/vulkan/cocoa/gstvkwindow_cocoa.m:
	* gst-libs/gst/vulkan/gstvkapi.h:
	* gst-libs/gst/vulkan/gstvkhandle.h:
	* gst-libs/gst/vulkan/ios/gstvkwindow_ios.m:
	* gst-libs/gst/vulkan/wayland/gstvkwindow_wayland.c:
	* gst-libs/gst/vulkan/win32/gstvkwindow_win32.c:
	* gst-libs/gst/vulkan/xcb/gstvkwindow_xcb.c:
	* sys/applemedia/videotexturecache-vulkan.mm:
	  vulkan: provide a custom VK_DEFINE_NON_DISPATCHABLE_HANDLE
	  If the application did not define one yet, define our own
	  VK_DEFINE_NON_DISPATCHABLE_HANDLE that is independent of the
	  architecture.
	  Vulkan, by default, provides a define that depends on the architecture,
	  which causes the symbol type to be different. This causes an
	  architecture dependent .gir file, which then causes multilib
	  installation problems because the .gir files can't be shared.
	  Make it possible to override the format specifier and provide
	  a default one that is compatible with the default non dispatchable
	  handle.
	  Return VK_NULL_HANDLE from functions that return a non-dispatchable
	  handle.
	  Fixes #1566
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2130>

2021-03-26 17:48:09 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	* sys/va/gstvavpp.c:
	  va: postproc, filter: add disable-passthrough property
	  vapostproc tries to be in passthrough mode as much as possible. But
	  they might be situations where the user might force to process the
	  frames. For example, when upstream sets the crop meta and the user
	  wants VA do that cropping, rather than downstream.
	  For those situations this property will disable the passthrough mode,
	  if it's enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2058>

2021-02-23 09:01:10 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: enable cropping by crop meta
	  If incoming buffers have crop meta it's done by vapostproc, iif
	  vapostproc is not in passthrough mode and downstream doesn't handle
	  it.
	  This patch announces the crop meta API in proposed bufferpool, while
	  it stops filtering meta APIs, since it was only filter crop api.
	  Also if downstream supports crop and video metas, vapostporoc
	  announces both meta APIs in upstream bufferpool.
	  Finally, the meta is removed from the buffer if the crop is enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2058>

2021-03-04 15:19:25 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	  va: filter: add gst_va_filter_enable_cropping ()
	  This will toggle the cropping operation in the filter
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2058>

2021-01-23 12:53:25 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	* sys/va/gstvavpp.c:
	  va: filter, vpp: add and use GstVaSample struct
	  This new struct describes the input and output GstBuffers to
	  post-process, including VA flags. It also contains the VASurfaceID and
	  VARectangle, but those are private, completed inside GstVaFilter.
	  It is used for pass arguments to gst_va_filter_convert_surface() function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2058>

2021-02-28 08:38:36 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: Use allocation caps when creating sink pool.
	  When an input buffer needs to be copied into a VA memory, it's
	  required to create a buffer pool. This patch uses the
	  propose_allocation() caps to instantiate the allocator and pool,
	  instead of the negotiated caps, which rather represents the resolution
	  to display.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2058>

2021-01-22 23:54:50 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/closedcaption/gstline21dec.c:
	  line21dec: relax caps requirements
	  Instead of requiring interlaced video, simply skip CC detection
	  when the input is progressive.
	  This allows placing line21decoder unconditionally in pipelines,
	  without having to worry about whether the input stream will be
	  interlaced, or even worse interlacing just in case!
	  + update doc cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1885>

2020-12-16 01:02:53 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/closedcaption/gstline21dec.c:
	* ext/closedcaption/gstline21dec.h:
	  line21dec: expose mode property
	  That new property can be used to control whether and how
	  detected CC meta should be inserted in the list of existing
	  CC meta on the input frame (if there was any).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1885>

2020-12-15 22:01:33 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/closedcaption/gstline21dec.c:
	* ext/closedcaption/gstline21dec.h:
	  line21dec: expose ntsc-only property
	  When this is set, the element only tries to detect CC when the
	  height is 525 or 486 (NTSC resolutions). The height is already
	  checked.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1885>

2021-03-31 11:52:07 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaallocator.c:
	  va: allocator: Use derived images only if not mapped for reading.
	  Derived images are direct maps to surfaces bits, but in Intel Gen7 to
	  Gen9, that memory is not cachable, thus reading can be very slow (it
	  might produce timeout is tests such as fluster).
	  This patch tries first to define if derived images are possible, and
	  later use them only if mapping is not for reading.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2128>

2021-03-31 11:13:52 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvacaps.c:
	  va: caps: Add image formats in raw caps only for non-iHD.
	  This plugin, for decoders more concretely, assumes that a VA config
	  can do certain color conversions when mapping frames onto CPU's
	  memory.
	  This assumption was valid for i965 and Gallium drivers which generates
	  valid outputs in bitstreams testers (v.gr. fluster). Nonetheless, iHD,
	  even when it generates acceptable rendered frames, output's MD5 of
	  tests weren't valid.
	  This patch append the image formats, for color conversion when mapping
	  to memory, for non-iHD drivers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2128>

2021-04-01 15:09:45 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11convert.cpp:
	* sys/d3d11/gstd3d11upload.cpp:
	  d3d11: Fix for UYVY/VYUY format rendering
	  Don't assume that non-native DXGI formats support RTV and/or SRV.
	  We are mapping UYVY and VYUY formats to DXGI_FORMAT_R8G8_B8G8_UNORM
	  which doesn't support render target view
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2133>

2021-03-25 03:16:05 +1100  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	* gst/mpegtsmux/gstbasetsmux.h:
	  mpegtsmux: Respect the start-time-selection property.
	  Use the start time provided by the aggregator base class for output
	  times.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2105>

2021-03-29 15:24:38 +0800  Yinhang Liu <yinhang.liu@intel.com>

	* sys/msdk/gstmsdkh265enc.c:
	* sys/msdk/gstmsdkh265enc.h:
	  msdkh265enc: add dblk-idc property
	  The SDK can support deblocking reference structure [1], so add a new
	  property to enable this feature.
	  [1] https://github.com/Intel-Media-SDK/MediaSDK/blob/master/doc/mediasdk-man.md#mfxextcodingoption2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2122>

2021-03-29 15:18:13 +0800  Yinhang Liu <yinhang.liu@intel.com>

	* sys/msdk/gstmsdkh264enc.c:
	* sys/msdk/gstmsdkh264enc.h:
	  msdkh264enc: add dblk-idc property
	  The SDK can support deblocking reference structure [1], so add a new
	  property to enable this feature.
	  [1] https://github.com/Intel-Media-SDK/MediaSDK/blob/master/doc/mediasdk-man.md#mfxextcodingoption2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2122>

2021-03-30 11:34:54 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/flite/gstflite.c:
	* ext/flite/gstflitetestsrc.c:
	  flite: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2123>

2021-03-30 11:27:11 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dtls/plugin.c:
	  dtls: hotfix: allow per feature registration
	  Use of GST_ELEMENT_REGISTER in plugin.c
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2123>

2021-03-26 19:47:06 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/gs/meson.build:
	  gs: remove clang formatting
	  remove clang formatting during
	  the build.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2115>

2021-03-26 11:41:50 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/gs/gstgs.cpp:
	* ext/gs/gstgssink.cpp:
	* ext/gs/gstgssink.h:
	* ext/gs/gstgssrc.cpp:
	* ext/gs/gstgssrc.h:
	  gs: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2115>

2021-03-29 12:15:18 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/timecode/gstavwait.c:
	  avwait: Don't reset time tracking when receiving the same segment again
	  This causes avwait to go back into "dropping" mode until audio and video
	  are synced again, which is unnecessary when the segment didn't actually
	  change.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2121>

2021-03-17 14:30:09 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvdecoder.c:
	* sys/nvcodec/gstnvdecoder.h:
	* sys/nvcodec/gstnvh264dec.c:
	* sys/nvcodec/gstnvh265dec.c:
	* sys/nvcodec/gstnvvp8dec.c:
	* sys/nvcodec/gstnvvp9dec.c:
	  nvcodec: nvsldec: Refactor graphics api resource handling
	  * Move GL context object to GstNVDecoder object, and remove
	  duplicated handling of each codec decoder element
	  * Don't create GL context too early. We can create it only if
	  we need to negotiate with downstream gl element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2089>

2021-03-17 14:38:40 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkh264enc.c:
	* sys/msdk/gstmsdkh264enc.h:
	* sys/msdk/gstmsdkh265enc.c:
	* sys/msdk/gstmsdkh265enc.h:
	* sys/msdk/msdk-enums.c:
	* sys/msdk/msdk-enums.h:
	  msdkenc{h264,h265}: add intra-refresh-type property
	  The SDK allows user to specify the intra refresh type which can improve
	  error resilience without significant impact on encoded bitstream size
	  caused by I frames [1]
	  [1] https://github.com/Intel-Media-SDK/MediaSDK/blob/master/doc/mediasdk-man.md#mfxextcodingoption2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2090>

2021-03-28 12:03:09 +0200  Marijn Suijten <marijns95@gmail.com>

	* gst-libs/gst/d3d11/gstd3d11memory.h:
	* gst-libs/gst/webrtc/webrtc_fwd.h:
	  Add @ prefix to enum-variant references in documentation
	  Found while working on GStreamer-rs documentation, some enums had this
	  bit of text pasted verbatim in the enum documentation rather than
	  attached to the enum-variant.  Fortunately it seems these in WebRTC and
	  D3D11 are the only ones matching the non-@-prefixed pattern:
	  ^ \* GST_\w+:\s*\w+
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2118>

2021-03-26 12:20:07 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpconnection.c:
	  rtmp2/connection: Separate inner from outer cancelling
	  The connection cancels itself when it is closed. To avoid the
	  cancellable passed to `gst_rtmp_connection_new` from being unexpectedly
	  cancelled, separate inner from outer cancellation by holding two
	  cancellables.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1558
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2111>

2021-03-28 12:06:24 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11vp9dec: Remove debug dump functions
	  Existing debug messages are not quite useful
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2117>

2021-03-28 16:06:55 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Move zero-copy decision logic into decoder object
	  Get rid of all duplicated code for zero-copy decision and output buffer
	  allocation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2117>

2021-03-26 22:40:34 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11vp9dec: Ignore show_frame flag in output_picture()
	  baseclass will not call output_picture() if it shouldn't be ouputted.
	  Note that the show_frame flag can be zero when show_existing_frame is set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2114>

2021-03-26 22:27:38 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gstvp9decoder.c:
	  codecs: vp9decoder: Fix to output frame when show_existing_frame flag is set
	  When show_existing_frame flag is set, show_frame flag is zero
	  but we should output previously decoded frame as specified in frame header.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2114>

2021-03-26 21:06:59 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Do not hardcode the limit minimum resolution to 64
	  Decoder should be able to support lower resolution than 64x64
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2113>

2021-03-25 21:17:07 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11videosinkbin.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window.h:
	  d3d11videosink: Remove DirectWrite related dead code
	  It's now not enabled since we moved core part to gst-libs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2108>

2021-03-25 03:24:11 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfvideoenc.cpp:
	  mfvideoenc: Don't pass 0/1 framerate to MFT
	  Some MFT implementations do not accept 0/1 framerate and it will
	  result in encoder open failure. If framerate is unknown,
	  we will use arbitrary 25/1 framerate value.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2106>

2021-03-23 13:48:09 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.c:
	* gst-libs/gst/d3d11/gstd3d11memory.h:
	* sys/d3d11/gstd3d11decoder.cpp:
	  d3d11decoder: Resurrect zero-copy for fixed-size DPB pool
	  Enable zero-copy if downstream proposed pool and therefore decoder
	  can know the amount of buffer required by downstream.
	  Otherwise decoder will copy when our DPB pool has no sufficient
	  buffers for later decoding operation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2097>

2021-03-20 19:52:16 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Implement array-of-texture DPB again
	  Re-implementation of array-of-texture based on d3d11 memory pool.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2097>

2021-03-18 22:31:55 +0900  Seungha Yang <seungha@centricular.com>

	  d3d11: Implement memory pool
	  Major changes:
	  * GstD3D11Allocator: This allocator is now device-independent object
	  which can allocate GstD3D11Memory object for any GstD3D11Device.
	  User can get this object via gst_allocator_find(GST_D3D11_MEMORY_NAME)
	  * GstD3D11PoolAllocator: A new allocator implementation for texture pool.
	  From now on GstD3D11BufferPool will make use of this memory pool allocator
	  to avoid frequent texture reallocation. That usually happens because
	  of buffer copy (gst_buffer_make_writable for example)
	  In addition to that, GstD3D11BufferPool will provide GstBuffer with
	  GstVideoMeta, because CPU access to a GstD3D11Memory without GstVideoMeta
	  is almost impossible since GPU drivers needs padding for stride alignment.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2097>

2021-03-20 22:11:49 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.c:
	* gst-libs/gst/d3d11/gstd3d11memory.h:
	* sys/d3d11/gstd3d11decoder.cpp:
	  d3d11decoder: Temporarily remove zero-copy related code
	  We will re-implement it based on memory pool
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2097>

2021-03-23 09:33:49 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: Set one buffer in pools as minimum.
	  Because some elements, such as videorate check that minimum are
	  different of maximum number of buffers in the proposed pool, since
	  they might hold one or more buffers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2102>

2021-03-23 19:19:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	* gst-libs/gst/codecparsers/gsth265parser.c:
	* tests/check/libs/h264parser.c:
	* tests/check/libs/h265parser.c:
	  h2645parser: Catch overflows in AVC/HEVC NAL unit length calculations
	  Offset and size are stored as 32 bit guint and might overflow when
	  adding the nal_length_size, so let's avoid that.
	  For the size this would happen if the AVC/HEVC NAL unit size happens to
	  be stored in 4 bytes and is 4294967292 or higher, which is likely
	  corrupted data anyway.
	  For the offset this is something for the caller of these functions to
	  take care of but is unlikely to happen as it would require parsing on a
	  >4GB buffer.
	  Allowing these overflows causes all kinds of follow-up bugs in the
	  h2645parse elements, ranging from infinite loops and memory leaks to
	  potential memory corruptions.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2103>

2021-02-25 09:59:50 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/zxing/gstzxing.cpp:
	* ext/zxing/gstzxing.h:
	* ext/zxing/gstzxingplugin.c:
	  zxing: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-25 09:57:00 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/zbar/gstzbar.c:
	* ext/zbar/gstzbar.h:
	  zbar: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-25 09:51:52 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/x265/gstx265enc.c:
	* ext/x265/gstx265enc.h:
	  x265: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-25 09:45:10 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/wpe/gstwpesrc.cpp:
	* ext/wpe/gstwpesrc.h:
	  wpe: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-25 09:27:19 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/wildmidi/gstwildmididec.c:
	* ext/wildmidi/gstwildmididec.h:
	  wildmidi: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-25 08:18:54 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/webrtcdsp/gstwebrtcdsp.cpp:
	* ext/webrtcdsp/gstwebrtcdsp.h:
	* ext/webrtcdsp/gstwebrtcdspplugin.cpp:
	* ext/webrtcdsp/gstwebrtcechoprobe.cpp:
	* ext/webrtcdsp/gstwebrtcechoprobe.h:
	* ext/webrtcdsp/meson.build:
	  webrtcdsp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-25 08:04:42 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/webp/gstwebp.c:
	* ext/webp/gstwebpdec.c:
	* ext/webp/gstwebpdec.h:
	* ext/webp/gstwebpenc.c:
	* ext/webp/gstwebpenc.h:
	  webp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-24 18:56:55 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/wayland/gstwaylandsink.c:
	* ext/wayland/gstwaylandsink.h:
	  wayland: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-24 18:45:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/vulkan/gstvulkan.c:
	* ext/vulkan/gstvulkanelement.c:
	* ext/vulkan/gstvulkanelements.h:
	* ext/vulkan/meson.build:
	* ext/vulkan/vkcolorconvert.c:
	* ext/vulkan/vkdeviceprovider.c:
	* ext/vulkan/vkdownload.c:
	* ext/vulkan/vkimageidentity.c:
	* ext/vulkan/vksink.c:
	* ext/vulkan/vkupload.c:
	* ext/vulkan/vkviewconvert.c:
	  vulkan: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-24 17:34:50 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/voamrwbenc/gstvoamrwb.c:
	* ext/voamrwbenc/gstvoamrwbenc.c:
	* ext/voamrwbenc/gstvoamrwbenc.h:
	  voamrwbenc: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-24 17:32:34 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/voaacenc/gstvoaac.c:
	* ext/voaacenc/gstvoaacenc.c:
	* ext/voaacenc/gstvoaacenc.h:
	  voaacenc: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-24 13:07:30 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/ttml/gstttmlelement.c:
	* ext/ttml/gstttmlelements.h:
	* ext/ttml/gstttmlparse.c:
	* ext/ttml/gstttmlplugin.c:
	* ext/ttml/gstttmlrender.c:
	* ext/ttml/meson.build:
	  ttml: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-24 12:52:08 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/srtp/gstsrtp.c:
	* ext/srtp/gstsrtpdec.c:
	* ext/srtp/gstsrtpdec.h:
	* ext/srtp/gstsrtpelement.c:
	* ext/srtp/gstsrtpelements.h:
	* ext/srtp/gstsrtpenc.c:
	* ext/srtp/gstsrtpenc.h:
	* ext/srtp/gstsrtpplugin.c:
	* ext/srtp/meson.build:
	  srtp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-24 12:39:22 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/srt/gstsrt.c:
	* ext/srt/gstsrtelement.c:
	* ext/srt/gstsrtelements.h:
	* ext/srt/gstsrtplugin.c:
	* ext/srt/gstsrtsink.c:
	* ext/srt/gstsrtsrc.c:
	* ext/srt/meson.build:
	  srt: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 12:54:56 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/spandsp/gstdtmfdetect.c:
	* ext/spandsp/gstdtmfdetect.h:
	* ext/spandsp/gstspandsp.c:
	* ext/spandsp/gstspanplc.c:
	* ext/spandsp/gstspanplc.h:
	* ext/spandsp/gsttonegeneratesrc.c:
	* ext/spandsp/gsttonegeneratesrc.h:
	  spandsp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 12:41:41 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/soundtouch/gstbpmdetect.cc:
	* ext/soundtouch/gstbpmdetect.hh:
	* ext/soundtouch/gstpitch.cc:
	* ext/soundtouch/gstpitch.hh:
	* ext/soundtouch/plugin.c:
	  soundtouch: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 12:30:50 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/sndfile/gstsf.c:
	* ext/sndfile/gstsfdec.c:
	* ext/sndfile/gstsfdec.h:
	* ext/sndfile/gstsfelement.c:
	* ext/sndfile/gstsfelements.h:
	* ext/sndfile/gstsfsink.h:
	* ext/sndfile/meson.build:
	  sndfile: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 12:18:39 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/smoothstreaming/gstmssdemux.c:
	* ext/smoothstreaming/gstmssdemux.h:
	* ext/smoothstreaming/gstsmoothstreaming-plugin.c:
	  smoothstreaming: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 12:14:53 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/sctp/gstsctpdec.c:
	* ext/sctp/gstsctpdec.h:
	* ext/sctp/gstsctpenc.c:
	* ext/sctp/gstsctpenc.h:
	* ext/sctp/gstsctpplugin.c:
	  sctp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 12:09:18 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/sbc/gstsbcdec.c:
	* ext/sbc/gstsbcdec.h:
	* ext/sbc/gstsbcenc.c:
	* ext/sbc/gstsbcenc.h:
	* ext/sbc/sbc-plugin.c:
	  sbc: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 12:00:13 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/rtmp/gstrtmp.c:
	* ext/rtmp/gstrtmpelement.c:
	* ext/rtmp/gstrtmpelements.h:
	* ext/rtmp/gstrtmpsink.c:
	* ext/rtmp/gstrtmpsink.h:
	* ext/rtmp/gstrtmpsrc.c:
	* ext/rtmp/meson.build:
	  rtmp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 11:53:12 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/rsvg/gstrsvg.c:
	* ext/rsvg/gstrsvgdec.c:
	* ext/rsvg/gstrsvgdec.h:
	* ext/rsvg/gstrsvgoverlay.c:
	* ext/rsvg/gstrsvgoverlay.h:
	  rsvg: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-19 11:40:40 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/resindvd/plugin.c:
	* ext/resindvd/resindvdbin.c:
	* ext/resindvd/resindvdbin.h:
	  resindvd: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 16:23:42 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/qroverlay/gstdebugqroverlay.c:
	* ext/qroverlay/gstqroverlay.c:
	* ext/qroverlay/gstqroverlayelement.c:
	* ext/qroverlay/gstqroverlayelements.h:
	* ext/qroverlay/gstqroverlayplugin.c:
	* ext/qroverlay/meson.build:
	  qroverlay: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 15:56:44 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/opus/gstopus.c:
	* ext/opus/gstopusparse.c:
	* ext/opus/gstopusparse.h:
	  opus: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 15:48:12 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/openni2/gstopenni2.cpp:
	* ext/openni2/gstopenni2src.cpp:
	* ext/openni2/gstopenni2src.h:
	  openni2: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 15:42:44 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/openmpt/gstopenmptdec.c:
	* ext/openmpt/gstopenmptdec.h:
	* ext/openmpt/plugin.c:
	  openmpt: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 15:30:06 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/openjpeg/gstopenjpeg.c:
	* ext/openjpeg/gstopenjpegdec.c:
	* ext/openjpeg/gstopenjpegdec.h:
	* ext/openjpeg/gstopenjpegenc.c:
	* ext/openjpeg/gstopenjpegenc.h:
	  openjpeg: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 15:21:40 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/openh264/gstopenh264dec.cpp:
	* ext/openh264/gstopenh264element.c:
	* ext/openh264/gstopenh264elements.h:
	* ext/openh264/gstopenh264enc.cpp:
	* ext/openh264/gstopenh264plugin.c:
	* ext/openh264/meson.build:
	  openh264: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 14:08:34 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/openexr/gstopenexr.c:
	* ext/openexr/gstopenexrdec.cpp:
	* ext/openexr/gstopenexrdec.h:
	  openexr: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 13:34:54 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/opencv/gstcameracalibrate.cpp:
	* ext/opencv/gstcameracalibrate.h:
	* ext/opencv/gstcameraundistort.cpp:
	* ext/opencv/gstcameraundistort.h:
	* ext/opencv/gstcvdilate.cpp:
	* ext/opencv/gstcvdilate.h:
	* ext/opencv/gstcvequalizehist.cpp:
	* ext/opencv/gstcvequalizehist.h:
	* ext/opencv/gstcverode.cpp:
	* ext/opencv/gstcverode.h:
	* ext/opencv/gstcvlaplace.cpp:
	* ext/opencv/gstcvlaplace.h:
	* ext/opencv/gstcvsmooth.cpp:
	* ext/opencv/gstcvsmooth.h:
	* ext/opencv/gstcvsobel.cpp:
	* ext/opencv/gstcvsobel.h:
	* ext/opencv/gstdewarp.cpp:
	* ext/opencv/gstdewarp.h:
	* ext/opencv/gstdisparity.cpp:
	* ext/opencv/gstdisparity.h:
	* ext/opencv/gstedgedetect.cpp:
	* ext/opencv/gstedgedetect.h:
	* ext/opencv/gstfaceblur.cpp:
	* ext/opencv/gstfaceblur.h:
	* ext/opencv/gstfacedetect.cpp:
	* ext/opencv/gstfacedetect.h:
	* ext/opencv/gstgrabcut.cpp:
	* ext/opencv/gstgrabcut.h:
	* ext/opencv/gsthanddetect.cpp:
	* ext/opencv/gsthanddetect.h:
	* ext/opencv/gstmotioncells.cpp:
	* ext/opencv/gstmotioncells.h:
	* ext/opencv/gstopencv.cpp:
	* ext/opencv/gstretinex.cpp:
	* ext/opencv/gstretinex.h:
	* ext/opencv/gstsegmentation.cpp:
	* ext/opencv/gstsegmentation.h:
	* ext/opencv/gstskindetect.cpp:
	* ext/opencv/gstskindetect.h:
	* ext/opencv/gsttemplatematch.cpp:
	* ext/opencv/gsttemplatematch.h:
	* ext/opencv/gsttextoverlay.cpp:
	* ext/opencv/gsttextoverlay.h:
	  opencv: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 10:58:28 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/openaptx/gstopenaptxdec.c:
	* ext/openaptx/gstopenaptxdec.h:
	* ext/openaptx/gstopenaptxenc.c:
	* ext/openaptx/gstopenaptxenc.h:
	* ext/openaptx/openaptx-plugin.c:
	  openaptx: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 10:52:51 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/openal/gstopenal.c:
	* ext/openal/gstopenalelement.c:
	* ext/openal/gstopenalelements.h:
	* ext/openal/gstopenalsink.c:
	* ext/openal/gstopenalsrc.c:
	* ext/openal/meson.build:
	  openal: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 10:41:53 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/ofa/gstofa.c:
	* ext/ofa/gstofa.h:
	  ofa: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 10:35:34 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/neon/gstneonhttpsrc.c:
	* ext/neon/gstneonhttpsrc.h:
	  neon: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 10:24:18 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/musepack/gstmusepackdec.c:
	* ext/musepack/gstmusepackdec.h:
	  musepack: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 10:17:20 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/mplex/gstmplex.cc:
	* ext/mplex/gstmplex.hh:
	  mplex: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 10:14:38 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/mpeg2enc/gstmpeg2enc.cc:
	* ext/mpeg2enc/gstmpeg2enc.hh:
	  mpeg2enc: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 10:10:16 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/modplug/gstmodplug.cc:
	* ext/modplug/gstmodplug.h:
	  modplug: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 09:56:08 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/mdns/gstmicrodns.c:
	  mdns: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 09:52:08 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/libmms/gstmms.c:
	* ext/libmms/gstmms.h:
	  libmms: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 09:50:21 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/libde265/gstlibde265.c:
	* ext/libde265/libde265-dec.c:
	* ext/libde265/libde265-dec.h:
	  libde265: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-18 09:48:04 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/ldac/gstldacenc.c:
	* ext/ldac/gstldacenc.h:
	* ext/ldac/ldac-plugin.c:
	  ldac: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 18:38:16 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/kate/gstkate.c:
	* ext/kate/gstkatedec.c:
	* ext/kate/gstkateelement.c:
	* ext/kate/gstkateelements.h:
	* ext/kate/gstkateenc.c:
	* ext/kate/gstkateparse.c:
	* ext/kate/gstkatetag.c:
	* ext/kate/gstkatetiger.c:
	* ext/kate/gstkateutil.c:
	* ext/kate/meson.build:
	  kate: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 18:26:42 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/isac/gstisac.c:
	* ext/isac/gstisacdec.c:
	* ext/isac/gstisacdec.h:
	* ext/isac/gstisacenc.c:
	* ext/isac/gstisacenc.h:
	  isac: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 18:23:21 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/iqa/iqa.c:
	* ext/iqa/iqa.h:
	  iqa: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 18:17:08 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/hls/gsthls.h:
	* ext/hls/gsthlsdemux.c:
	* ext/hls/gsthlsdemux.h:
	* ext/hls/gsthlselement.c:
	* ext/hls/gsthlselements.h:
	* ext/hls/gsthlsplugin.c:
	* ext/hls/gsthlssink.c:
	* ext/hls/gsthlssink2.c:
	* ext/hls/gstm3u8playlist.c:
	* ext/hls/m3u8.c:
	* ext/hls/m3u8.h:
	* ext/hls/meson.build:
	  hls: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 18:07:42 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/gsm/gstgsm.c:
	* ext/gsm/gstgsmdec.c:
	* ext/gsm/gstgsmdec.h:
	* ext/gsm/gstgsmenc.c:
	* ext/gsm/gstgsmenc.h:
	  gsm: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 18:04:20 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/gme/gstgme.c:
	* ext/gme/gstgme.h:
	  gme: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 18:01:05 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/fluidsynth/gstfluiddec.c:
	* ext/fluidsynth/gstfluiddec.h:
	  fluidsynth: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 16:05:02 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/fdkaac/gstfdkaac.c:
	* ext/fdkaac/gstfdkaacdec.c:
	* ext/fdkaac/gstfdkaacdec.h:
	* ext/fdkaac/gstfdkaacenc.c:
	* ext/fdkaac/gstfdkaacenc.h:
	* ext/fdkaac/gstfdkaacplugin.c:
	* ext/fdkaac/meson.build:
	  fdkaac: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 15:59:49 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/faad/gstfaad.c:
	* ext/faad/gstfaad.h:
	  faad: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 15:59:36 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/faac/gstfaac.c:
	* ext/faac/gstfaac.h:
	  faac: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 15:35:10 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dts/gstdtsdec.c:
	* ext/dts/gstdtsdec.h:
	  dts: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 12:22:07 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dtls/gstdtlsdec.c:
	* ext/dtls/gstdtlselement.c:
	* ext/dtls/gstdtlselements.h:
	* ext/dtls/gstdtlsenc.c:
	* ext/dtls/gstdtlssrtpdec.c:
	* ext/dtls/gstdtlssrtpdemux.c:
	* ext/dtls/gstdtlssrtpenc.c:
	* ext/dtls/meson.build:
	  dtls: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 12:10:31 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/directfb/dfbvideosink.c:
	* ext/directfb/dfbvideosink.h:
	  directfb: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 12:07:48 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dc1394/gstdc1394src.c:
	* ext/dc1394/gstdc1394src.h:
	  dc1394: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 12:03:05 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dash/gstdashdemux.c:
	* ext/dash/gstdashdemux.h:
	* ext/dash/gstdashsink.c:
	* ext/dash/gstdashsink.h:
	* ext/dash/gstplugin.c:
	  dash: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 11:55:14 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/curl/gstcurl.c:
	* ext/curl/gstcurlelement.c:
	* ext/curl/gstcurlelements.h:
	* ext/curl/gstcurlfilesink.c:
	* ext/curl/gstcurlftpsink.c:
	* ext/curl/gstcurlhttpsink.c:
	* ext/curl/gstcurlhttpsrc.c:
	* ext/curl/gstcurlsftpsink.c:
	* ext/curl/gstcurlsmtpsink.c:
	* ext/curl/meson.build:
	  curl: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 11:43:33 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/colormanagement/gstcolormanagement.c:
	* ext/colormanagement/gstlcms.c:
	* ext/colormanagement/gstlcms.h:
	  colormanagement: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 11:31:35 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/closedcaption/gstcccombiner.c:
	* ext/closedcaption/gstcccombiner.h:
	* ext/closedcaption/gstccconverter.c:
	* ext/closedcaption/gstccconverter.h:
	* ext/closedcaption/gstccextractor.c:
	* ext/closedcaption/gstccextractor.h:
	* ext/closedcaption/gstceaccoverlay.c:
	* ext/closedcaption/gstceaccoverlay.h:
	* ext/closedcaption/gstclosedcaption.c:
	* ext/closedcaption/gstline21dec.c:
	* ext/closedcaption/gstline21dec.h:
	* ext/closedcaption/gstline21enc.c:
	* ext/closedcaption/gstline21enc.h:
	  closedcaption: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 10:23:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/chromaprint/gstchromaprint.c:
	* ext/chromaprint/gstchromaprint.h:
	  chromaprint: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 10:13:45 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/bz2/gstbz2.c:
	* ext/bz2/gstbz2dec.c:
	* ext/bz2/gstbz2dec.h:
	* ext/bz2/gstbz2enc.c:
	* ext/bz2/gstbz2enc.h:
	  bz2: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 10:10:39 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/bs2b/gstbs2b.c:
	* ext/bs2b/gstbs2b.h:
	  bs2b: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 10:05:20 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/avtp/gstavtp.c:
	* ext/avtp/gstavtpaafdepay.c:
	* ext/avtp/gstavtpaafdepay.h:
	* ext/avtp/gstavtpaafpay.c:
	* ext/avtp/gstavtpaafpay.h:
	* ext/avtp/gstavtpcrfcheck.c:
	* ext/avtp/gstavtpcrfcheck.h:
	* ext/avtp/gstavtpcrfsync.c:
	* ext/avtp/gstavtpcrfsync.h:
	* ext/avtp/gstavtpcvfdepay.c:
	* ext/avtp/gstavtpcvfdepay.h:
	* ext/avtp/gstavtpcvfpay.c:
	* ext/avtp/gstavtpcvfpay.h:
	* ext/avtp/gstavtpsink.c:
	* ext/avtp/gstavtpsink.h:
	* ext/avtp/gstavtpsrc.c:
	* ext/avtp/gstavtpsrc.h:
	  avtp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-02-17 09:45:04 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/assrender/gstassrender.c:
	* ext/assrender/gstassrender.h:
	  assrender: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2020-08-17 09:52:11 -0400  Julian Bouzas <julian.bouzas@collabora.com>

	* ext/aom/gstaom.c:
	* ext/aom/gstav1dec.c:
	* ext/aom/gstav1dec.h:
	* ext/aom/gstav1enc.c:
	* ext/aom/gstav1enc.h:
	  aom: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2038>

2021-03-23 16:26:13 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/meson.build:
	  d3d11decoder: Enable high precision clock if needed
	  We've been doing retry with 1ms sleep if DecoderBeginFrame()
	  returned E_PENDING which means application should call
	  DecoderBeginFrame() again because GPU is busy.
	  The 1ms sleep() during retry would result in usually about 15ms delay
	  in reality because of bad clock precision on Windows.
	  To improve throughput performance, this commit will enable
	  high precision clock only for NVIDIA platform since
	  DecoderBeginFrame() call on the other GPU vendors seems to
	  succeed without retry.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2099>

2021-03-03 16:03:07 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/mpegdemux/gstmpegdemux.c:
	* gst/mpegdemux/gstmpegdemux.h:
	  mpegpsdemux: fix accurate seek
	  In an accurate seek, the segment start should be
	  the same as the one requested in the seek.
	  The start should be kept as the one from the
	  segment if its inferior.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2048>

2021-03-03 14:11:21 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/mpegdemux/gstmpegdemux.c:
	* gst/mpegdemux/gstmpegdemux.h:
	  mpegpsdemux: Keep seqnum events
	  Keep the same seqnum of the new segment events for each
	  of the streams.
	  Keep the segment to send the EOS event.
	  Keep the seek seqnum for segment and flush event.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2048>

2021-03-01 16:23:09 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/mpegdemux/gstmpegdemux.c:
	  mpegpsdemux: avoid early EOS
	  In a case of a scr different from 0, after a seek,
	  the src_segment.stop has been updated with the duration
	  not including the base_time (scr). The segment position
	  needs to be tested upon segment.stop + base_time (scr)
	  to check for an EOS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2048>

2021-03-19 16:17:41 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: disable passthrough as soon as possible
	  After the VA filter creation, when changing the element's state from NULL
	  to READY, immediatly checks for any filter operation requested by the user.
	  If any, the passthrough mode is disabled early, so there's no need for a
	  future renegotiation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2094>

2021-03-19 16:14:08 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: rename function to gst_va_vpp_update_passthrough
	  Since it's widely used, a proper name will reflect its importance.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2094>

2021-03-22 14:34:36 +1100  Matthew Waters <matthew@centricular.com>

	* ext/closedcaption/gstccconverter.c:
	* ext/colormanagement/gstlcms.c:
	* ext/curl/gstcurlqueue.h:
	* ext/iqa/iqa.c:
	* ext/opencv/gstcvdilateerode.cpp:
	* ext/openjpeg/gstopenjpegenc.c:
	* ext/resindvd/rsndec.c:
	* ext/sctp/sctpassociation.c:
	* ext/ttml/subtitlemeta.c:
	* ext/wildmidi/gstwildmididec.c:
	* gst-libs/gst/adaptivedemux/gstadaptivedemux.c:
	* gst-libs/gst/audio/gstnonstreamaudiodecoder.c:
	* gst-libs/gst/codecparsers/gstmpegvideometa.c:
	* gst-libs/gst/d3d11/gstd3d11device.c:
	* gst-libs/gst/d3d11/gstd3d11utils.c:
	* gst-libs/gst/sctp/sctpreceivemeta.c:
	* gst-libs/gst/sctp/sctpsendmeta.c:
	* gst-libs/gst/vulkan/android/gstvkwindow_android.c:
	* gst-libs/gst/vulkan/cocoa/gstvkwindow_cocoa.m:
	* gst-libs/gst/vulkan/gstvkbuffermemory.c:
	* gst-libs/gst/vulkan/gstvkcommandbuffer.c:
	* gst-libs/gst/vulkan/gstvkdescriptorset.c:
	* gst-libs/gst/vulkan/gstvkdevice.c:
	* gst-libs/gst/vulkan/gstvkdisplay.c:
	* gst-libs/gst/vulkan/gstvkfence.c:
	* gst-libs/gst/vulkan/gstvkhandle.c:
	* gst-libs/gst/vulkan/gstvkimagememory.c:
	* gst-libs/gst/vulkan/gstvkimageview.c:
	* gst-libs/gst/vulkan/gstvkinstance.c:
	* gst-libs/gst/vulkan/gstvkmemory.c:
	* gst-libs/gst/vulkan/gstvkphysicaldevice.c:
	* gst-libs/gst/vulkan/gstvkqueue.c:
	* gst-libs/gst/vulkan/gstvktrash.c:
	* gst-libs/gst/vulkan/gstvkutils.c:
	* gst-libs/gst/vulkan/gstvkwindow.c:
	* gst-libs/gst/vulkan/ios/gstvkwindow_ios.m:
	* gst-libs/gst/vulkan/vulkan_mkenum.py:
	* gst-libs/gst/vulkan/wayland/gstvkwindow_wayland.c:
	* gst-libs/gst/vulkan/xcb/gstvkwindow_xcb.c:
	* gst/camerabin2/gstcamerabin2.c:
	* gst/debugutils/gstfakevideosink.c:
	* gst/mxf/mxfmetadata.c:
	* gst/netsim/gstnetsim.c:
	* gst/rtmp2/rtmp/amf.c:
	* gst/rtmp2/rtmp/rtmpchunkstream.c:
	* gst/rtmp2/rtmp/rtmpclient.c:
	* gst/rtmp2/rtmp/rtmphandshake.c:
	* gst/rtmp2/rtmp/rtmpmessage.c:
	* gst/segmentclip/gstsegmentclip.c:
	* sys/androidmedia/gstamcaudiodec.c:
	* sys/androidmedia/gstamcvideodec.c:
	* sys/androidmedia/gstamcvideoenc.c:
	* sys/applemedia/coremediabuffer.c:
	* sys/applemedia/corevideobuffer.c:
	* sys/applemedia/corevideomemory.c:
	* sys/applemedia/iosglmemory.c:
	* sys/applemedia/iosurfaceglmemory.c:
	* sys/applemedia/iosurfacevulkanmemory.c:
	* sys/bluez/gstavdtpsrc.h:
	* sys/d3d11/gstd3d11deinterlace.cpp:
	* sys/d3d11/gstd3d11shader.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window_win32.cpp:
	* sys/ipcpipeline/gstipcpipelinecomm.c:
	* sys/mediafoundation/gstmftransform.cpp:
	* sys/mediafoundation/gstmfvideobuffer.h:
	* sys/msdk/gstmsdkcontextutil.c:
	* sys/nvcodec/gstcudacontext.c:
	* sys/nvcodec/gstcudanvrtc.c:
	* sys/nvcodec/gstcudautils.c:
	* sys/nvcodec/gstnvbaseenc.h:
	* sys/opensles/openslescommon.c:
	* sys/va/gstvaallocator.c:
	* sys/va/gstvautils.c:
	* sys/wasapi/gstwasapiutil.c:
	* sys/wasapi2/gstwasapi2client.cpp:
	* sys/winscreencap/dxgicapture.c:
	* tests/check/libs/vkimage.c:
	  gst: don't use volatile to mean atomic
	  volatile is not sufficient to provide atomic guarantees and real atomics
	  should be used instead.  GCC 11 has started warning about using volatile
	  with atomic operations.
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/1719
	  Discovered in https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/868
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2098>

2021-03-20 16:26:21 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfvideoenc.cpp:
	* sys/mediafoundation/meson.build:
	  mfvideoenc: Enable Direct3D multi-thread protection
	  As documented by MS. See also
	  https://docs.microsoft.com/en-us/windows/win32/medfound/supporting-direct3d-11-video-decoding-in-media-foundation#open-a-device-handle
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2095>

2021-03-20 16:15:35 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11device.c:
	* gst-libs/gst/d3d11/gstd3d11memory.c:
	* gst-libs/gst/d3d11/meson.build:
	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11convert.cpp:
	* sys/d3d11/gstd3d11converter.cpp:
	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11deinterlace.cpp:
	* sys/d3d11/gstd3d11desktopdup.cpp:
	* sys/d3d11/gstd3d11overlaycompositor.cpp:
	* sys/d3d11/gstd3d11pluginutils.cpp:
	* sys/d3d11/gstd3d11videoprocessor.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window_corewindow.cpp:
	* sys/d3d11/gstd3d11window_dummy.cpp:
	* sys/d3d11/gstd3d11window_swapchainpanel.cpp:
	* sys/d3d11/gstd3d11window_win32.cpp:
	* sys/mediafoundation/gstmfvideoenc.cpp:
	  Revert "d3d11: Enable native multi-thread protection layer and make use of it"
	  This reverts commit 872b7f503c49442e559f6a381416c6a84b76a3c6.
	  Native multi-thread protection layer seems to be consuming more CPU
	  resource than application side protection approach in some cases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2095>

2021-03-19 16:36:41 +1100  Matthew Waters <matthew@centricular.com>

	* tests/check/elements/webrtcbin.c:
	  tests/webrtc: check for more sdp things across the board
	  e.g.
	  - test for a=setup:$val and direction attributes in all tests
	  - test number of media sections
	  - test number of formats in each m= section (for audio/video)
	  - test no duplicate formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2093>

2020-06-23 12:41:27 -0700  Julien <jisorce@oblong.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/gs/.clang-format:
	* ext/gs/README.md:
	* ext/gs/gstgs.cpp:
	* ext/gs/gstgscommon.cpp:
	* ext/gs/gstgscommon.h:
	* ext/gs/gstgssink.cpp:
	* ext/gs/gstgssink.h:
	* ext/gs/gstgssrc.cpp:
	* ext/gs/gstgssrc.h:
	* ext/gs/meson.build:
	* ext/meson.build:
	* meson_options.txt:
	  gs: add source and sink for Google Cloud Storage
	  Useful when having a service that runs a GStreamer pipeline
	  or application in Google Cloud to avoid storing the inputs
	  and outputs in the running container or service. For example
	  when analyzing a video from a Google Cloud Storage bucket
	  and extracting images or converting the video and then uploading
	  the results into another Google Cloud Storage bucket.
	  - gssrc allows to read from a file located in Google Cloud
	  Storage and it supports seeking.
	  - gssink allows to write to a file located in Google Cloud
	  Storage. There are 2 modes, one similar to multifilesink and
	  the other similar to filesink.
	  Example:
	  gst-launch-1.0 gssrc location=gs://mybucket/videos/sample.mp4 ! decodebin ! glimagesink
	  gst-launch-1.0 playbin uri=gs://mybucket/videos/sample.mp4
	  gst-launch-1.0 videotestsrc num-buffers=5 ! pngenc ! gssink object-name="img/img%05d.png" bucket-name="mybucket" next-file=buffer
	  gst-launch-1.0 filesrc location=sample.mp4 ! gssink object-name="videos/video.mp4" bucket-name="mybucket" next-file=none
	  When running locally simply set GOOGLE_APPLICATION_CREDENTIALS. But
	  when running in Google Cloud Run or Google Cloud Engine, just set the
	  "service-account-email" property on each element.
	  Closes #1264
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1369>

2021-03-17 23:53:04 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11device.c:
	* gst-libs/gst/d3d11/gstd3d11memory.c:
	* gst-libs/gst/d3d11/meson.build:
	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11convert.cpp:
	* sys/d3d11/gstd3d11converter.cpp:
	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11deinterlace.cpp:
	* sys/d3d11/gstd3d11desktopdup.cpp:
	* sys/d3d11/gstd3d11overlaycompositor.cpp:
	* sys/d3d11/gstd3d11pluginutils.cpp:
	* sys/d3d11/gstd3d11videoprocessor.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window_corewindow.cpp:
	* sys/d3d11/gstd3d11window_dummy.cpp:
	* sys/d3d11/gstd3d11window_swapchainpanel.cpp:
	* sys/d3d11/gstd3d11window_win32.cpp:
	* sys/mediafoundation/gstmfvideoenc.cpp:
	  d3d11: Enable native multi-thread protection layer and make use of it
	  ... instead of our own GRecMutex locking. In this way, any other
	  Direct3D11 client (MediaFoundation for example) can safely call
	  any Direct3D11 API even when we are sharing our Direct3D11 device
	  with others.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2092>

2021-02-26 03:28:29 +1100  Jan Schmidt <jan@centricular.com>

	* tests/examples/mpegts/meson.build:
	* tests/examples/mpegts/tsmux-prog-map.c:
	  examples: Add an mpegtsmux example of prog-map usage.
	  Add an example of how to construct the prog-map structure for
	  the MPEG-TS muxers and assign streams to programs, and set PCR
	  and PMT PIDs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2039>

2021-02-26 02:53:33 +1100  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmux.h:
	  mpegtsmux: Add PMT_%d support to prog-map.
	  Support a PMT_%d field in the prog-map, that's optionally used
	  to set the PMT for each program in the mux.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2039>

2021-03-12 18:10:18 +1100  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmux.h:
	  mpegtsmux: Don't write PCR until PAT/PMT are output.
	  Make sure streams start cleanly with a PAT/PMT and defer the first PCR
	  output until after that.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2073>

2021-03-11 18:21:11 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  tsmux: finalize PCR timing for complete accuracy
	  In order to always insert a PCR packet right on time, we need to
	  check whether one is needed when outputting any packet, not only
	  a packet for the PCR stream. Most of the PCR packets will remain
	  data-carrying packets, but as a last resort we may insert stuffing
	  packets on the PCR stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2073>

2021-03-11 18:05:25 +1100  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  mpegtsmux: Improve PCR/SI scheduling.
	  Change PCR / SI scheduling so that instead of checking if
	  the current PCR is larger than the next target time, instead
	  check if the PCR of the next packet would be too late, so PCR
	  and SI are always scheduled earlier than the target, not later.
	  There are still cases where PCR can be written too late though,
	  because we don't check before each output packet.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2073>

2021-03-11 18:05:10 +1100  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsmux/tsmux/tsmuxstream.c:
	  tsmuxstream: Fix comment typo
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2073>

2021-03-09 13:22:10 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/closedcaption/gstcccombiner.c:
	* ext/closedcaption/gstcccombiner.h:
	* tests/check/elements/cccombiner.c:
	  cccombiner: implement scheduling
	  Prior to that, cccombiner's behaviour was essentially that of
	  a funnel: it strictly looked at input timestamps to associate
	  together video and caption buffers.
	  This patch instead exposes a "schedule" property, with a default
	  of TRUE, to control whether caption buffers should be smoothly
	  scheduled, in order to have exactly one per output video buffer.
	  This can involve rewriting input captions, for example when the
	  input is CDP sequence counters are rewritten, time codes are dropped
	  and potentially re-injected if the input video frame had a time code
	  meta.
	  Caption buffers may also get split up in order to assign captions to
	  the correct field when the input is interlaced.
	  This can also imply that the input will drift from synchronization,
	  when there isn't enough padding in the input stream to catch up. In
	  that case the element will start dropping old caption buffers once
	  the number of buffers in its internal queue reaches a certain limit
	  (configurable).
	  The property is exposed so that existing users of cccombiner can
	  revert back to the original behaviour, but should eventually be
	  removed, as that behaviour was simply inadequate.
	  This commit also disallows changing the input caption type, as
	  this would needlessly complicate implementation, and removes
	  the corresponding test.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2076>

2021-03-17 19:26:12 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11convert.cpp:
	* sys/d3d11/gstd3d11upload.cpp:
	  d3d11: Use render-target and shader-resource bind flags by default
	  Even if bind flags is not needed by an element, other element
	  might need such bind flags.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2091>

2021-03-15 00:04:21 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvavpp.c:
	  va: vpp: Fix features lost in transform_caps().
	  When we transform the caps from the sink to src, or vice versa, the
	  "caps" passed to us may only contain parts of the features. Which
	  makes our vpp lose some feature in caps and get a negotiation error.
	  The correct way should be:
	  Cleaning the format and resolution of that caps, but adding all VA,
	  DMA features to it, making it a full feature caps. Then, clipping it
	  with the pad template.
	  fixes: #1551
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2081>

2021-03-15 16:25:36 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	  wpe: Ignore 'error-cancelled' 'failures'
	  This happens when the user use the 'load-bytes' signal and nothing is wrong there
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2085>

2021-03-16 19:09:59 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	  d3d11decoder: WARNING if ID3D11VideoDevice is unavailable, not ERROR
	  gst_d3d11_decoder_new() method is also used for device capability
	  checking during plugin init. Although we are checking hardware
	  flag prior to that, it doesn't guarantee ID3D11VideoDevice interface.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2088>

2021-03-16 17:56:51 +0900  Seungha Yang <seungha@centricular.com>

	* sys/mediafoundation/gstmfsourcereader.cpp:
	* sys/mediafoundation/gstmftransform.cpp:
	  mediafoundation: Fix resource leak
	  IMFActivate would hold its internal objects unless user call ShutdownObject(),
	  even if we release the IMFActivate. Here internal objects may
	  include Direct3D objects, such as texture, device handle for example.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2087>

2021-03-16 15:58:57 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11convert.cpp:
	  d3d11colorconvert: Fix caps leak
	  GstBaseTransform::fixate_caps() takes ownership of passed
	  othercaps argument.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2086>

2021-03-13 19:00:18 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/examples/va/meson.build:
	* tests/examples/va/multiple-vpp.c:
	  va: example: multiple-vpp: test sharpen with dynamic controller
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2082>

2021-03-13 18:57:37 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: synchronize segment with stream time
	  This is required to use dynamic controllable parameters.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2082>

2021-03-15 18:26:03 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Do negotiation again per forward/reverse playback mode change
	  For reverse playback, we are always copying decoded
	  frame to downstream buffer. So the pool size can be
	  and need to be large enough.
	  In case that forward playback, however, we need to restrict
	  the max pool size for performance reason. Otherwise decoder
	  will keep copying decoded texture to downstream buffer pool
	  if decoding is faster than downstream throughput
	  performance and also there are queue element between them.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2083>

2021-03-15 19:48:56 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window.h:
	  d3d11videosink: Avoid switching conversion tool during playback
	  Decoder might be able to copy decoded texture to the other buffer pool
	  during playback depending on context. In that case, copied one
	  has no D3D11_BIND_DECODER bind flag.
	  If we used ID3D11VideoProcessor previously for decoder texture,
	  and incoming texture supports ID3D11VideoProcessor as well even if it has no
	  D3D11_BIND_DECODER flag (having D3D11_BIND_RENDER_TARGET for example),
	  allow zero-copying instead of using our fallback texture.
	  Frequent conversion tool change (between ID3D11VideoProcessor and generic shader)
	  might result in inconsistent image quality.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2084>

2021-03-12 13:50:59 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	* sys/va/gstvavpp.c:
	  va: postproc: only drop filters if they change
	  Currently, at every frame the filters array is recreated. This is not
	  optimal, since it should be only rebuilt if the VA filter's related
	  properties change. This patches does that by using a flag.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2078>

2021-03-14 16:11:12 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Refactor device open step and negotiation
	  * Remove redundant method arguments
	  * Don't allocate staging texture if downstream supports d3d11 memory
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2079>

2021-03-14 15:08:01 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Move profile GUID handling into decoder object
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2079>

2021-03-14 14:26:17 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Get rid of private struct
	  Completely hide member variables
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2079>

2021-03-14 12:50:21 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  Revert "d3d11vp9dec: Add support for internal frame resizing"
	  This reverts commit 58a4c33a0e4f4e5415d8578166716e0d65c0c27e
	  We should use ID3D11VideoProcessor instead of shader
	  to avoid copy. We need to revisit this topic later
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2079>

2021-03-13 22:47:55 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11device.c:
	* gst-libs/gst/d3d11/gstd3d11device.h:
	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11deinterlace.cpp:
	* sys/d3d11/gstd3d11videoprocessor.cpp:
	  d3d11device: Hold ID3D11VideoDevice and ID3D11VideoContext object
	  ... instead of QueryInterface-ing per elements. Note that
	  ID3D11VideoDevice and ID3D11VideoContext objects might not be available
	  if device doesn't support video interface.
	  So GstD3D11Device object will create those objects only when requested.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2079>

2021-03-14 13:01:37 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11desktopdup.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window_corewindow.cpp:
	* sys/d3d11/gstd3d11window_dummy.cpp:
	* sys/d3d11/gstd3d11window_swapchainpanel.cpp:
	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11: Run gst-indent for all C++ code
	  Since all d3d11 plugin implementation code are C++, we need to
	  run gst-indent manually. This is preparation for later
	  "gst-indent sys/d3d11/*.cpp" run.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2077>

2021-03-13 17:40:57 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11basefilter.cpp:
	* sys/d3d11/gstd3d11colorconverter.h:
	* sys/d3d11/gstd3d11compositor.cpp:
	* sys/d3d11/gstd3d11compositorbin.cpp:
	* sys/d3d11/gstd3d11convert.cpp:
	* sys/d3d11/gstd3d11convert.h:
	* sys/d3d11/gstd3d11converter.cpp:
	* sys/d3d11/gstd3d11converter.h:
	* sys/d3d11/gstd3d11decoder.cpp:
	* sys/d3d11/gstd3d11decoder.h:
	* sys/d3d11/gstd3d11deinterlace.cpp:
	* sys/d3d11/gstd3d11desktopdup.cpp:
	* sys/d3d11/gstd3d11desktopdupsrc.cpp:
	* sys/d3d11/gstd3d11download.cpp:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11overlaycompositor.cpp:
	* sys/d3d11/gstd3d11pluginutils.cpp:
	* sys/d3d11/gstd3d11pluginutils.h:
	* sys/d3d11/gstd3d11shader.cpp:
	* sys/d3d11/gstd3d11upload.cpp:
	* sys/d3d11/gstd3d11videoprocessor.cpp:
	* sys/d3d11/gstd3d11videoprocessor.h:
	* sys/d3d11/gstd3d11videosink.cpp:
	* sys/d3d11/gstd3d11videosinkbin.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window.h:
	* sys/d3d11/gstd3d11window_dummy.cpp:
	* sys/d3d11/meson.build:
	* sys/d3d11/plugin.c:
	  d3d11: Port to C++
	  Direct3D11 objects are COM, and most COM C APIs are verbose
	  (C++ is a little better). So, by using C++ APIs, we can make code
	  shorter and more readable.
	  Moreover, "ComPtr" helper class (which is C++ only) can be
	  utilized, that is very helpful for avoiding error-prone COM refcounting
	  issue/leak.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2077>

2021-03-12 12:36:52 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/examples/va/multiple-vpp.c:
	  va: example: multiple-vpp: test direction change
	  If the driver supports it (iHD, so far) and the parameter -d is set,
	  the direction of the video will be changed randomly.
	  In the code you can select, at compilation time, if the direction
	  change is done by element's property or by pipeline events.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2074>

2021-03-11 18:53:09 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: update passthrough and reconfigure pads
	  Added helper function _update_passthrough() which will define and set
	  the pass-through mode of the filter, and it'll either reconfigure both
	  pads or it will just mark the src pad for renegotiation or nothing at
	  all.
	  There are cases where both pads have to be reconfigured (direction
	  changed, for example), other when just src pad has to (filters
	  updated) or none (changing to ready state).
	  The requirement of renegotiation depends on the need to enable/disable
	  its VA buffer pools.
	  This patch sets pass-through mode by default, so the buffer pools
	  aren't allocated if no filtering/direction operations are defined,
	  which is the correct behavior.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2074>

2021-02-25 14:09:50 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/zxing/gstzxing.cpp:
	* ext/zxing/meson.build:
	* tests/check/elements/zxing.c:
	  zxing: update to support version 1.1.1
	  Support new API in 1.1.1
	  Update the supported input video format.
	  Update tests to use parse_launch
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2037>

2021-03-10 13:10:28 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/videoparsers/gstmpegvideoparse.c:
	  mpegvideoparse: do not clip the frame
	  If the current buffer is delta unit such as P or B
	  frame, the buffer should not be clipped and need to
	  let the decoder handle the segment boundary situation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2070>

2021-03-11 02:36:28 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11device.c:
	  d3d11device: Fix wrong printf formatting
	  Add missing '%' there
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2069>

2021-02-20 11:36:42 +0000  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/transcoder/gsttranscoder-private.h:
	* gst-libs/gst/transcoder/gsttranscoder-signal-adapter.c:
	* gst-libs/gst/transcoder/gsttranscoder.c:
	* gst-libs/gst/transcoder/gsttranscoder.h:
	  transcoder: Add state-changed signal
	  Similar to GstPlayer, a new signal for state tracking is now emitted at runtime,
	  as a commodity for applications which then don't need to monitor the pipeline
	  GstBus for state changes anymore.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2028>

2020-12-07 10:47:30 +0000  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/play/gstplay-signal-adapter.c:
	* gst-libs/gst/player/gstplayer-media-info-private.h:
	* gst-libs/gst/player/gstplayer-media-info.c:
	* gst-libs/gst/player/gstplayer-wrapped-video-renderer-private.h:
	* gst-libs/gst/player/gstplayer-wrapped-video-renderer.c:
	* gst-libs/gst/player/gstplayer.c:
	* gst-libs/gst/player/meson.build:
	  player: Rewrite as GstPlay wrapper
	  For the time being the GstPlayer library remains as a wrapper for GstPlay, in
	  order to keep existing applications working and give them time to port to
	  GstPlay. GstPlayer will remain in -bad for a couple cycles and the plan for
	  GstPlay is to move it to -base before 1.20.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2061>

2020-12-07 09:56:26 +0000  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/play/gstplay.c:
	  play: Flush API bus before exiting main loop
	  Otherwise the bus might attempt to dispatch queued messages after the thread
	  ended, causing runtime warnings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2061>

2020-11-29 18:55:48 +0000  Philippe Normand <philn@igalia.com>

	* tests/check/libs/play.c:
	* tests/check/meson.build:
	  play: tests: Switch user-agent test to a real HTTP server
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2061>

2020-11-14 10:56:51 +0000  Philippe Normand <philn@igalia.com>

	* meson_options.txt:
	* tests/check/libs/play.c:
	* tests/check/meson.build:
	  play: tests: Refactor to use new Message bus API
	  Instead of relying on an extra GMainLoop, the messages are poped from the player
	  bus and handled synchronously. This should avoid flaky behaviors.
	  Fixes #608
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2061>

2020-11-14 10:47:53 +0000  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/play/gstplay.c:
	  play: Plug media_info leak
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2061>

2020-04-28 21:09:40 +0200  Stephan Hesse <stephan@emliri.com>

	* gst-libs/gst/play/gstplay.c:
	  play: Rename internal buffering field to buffering_percent
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2061>

2019-11-02 16:14:13 +0100  Stephan Hesse <stephan@emliri.com>

	* docs/libs/play/index.md:
	* docs/libs/play/sitemap.txt:
	* docs/meson.build:
	* gst-libs/gst/meson.build:
	* gst-libs/gst/play/gstplay-media-info-private.h:
	* gst-libs/gst/play/gstplay-media-info.c:
	* gst-libs/gst/play/gstplay-media-info.h:
	* gst-libs/gst/play/gstplay-message-private.h:
	* gst-libs/gst/play/gstplay-signal-adapter.c:
	* gst-libs/gst/play/gstplay-signal-adapter.h:
	* gst-libs/gst/play/gstplay-types.h:
	* gst-libs/gst/play/gstplay-video-overlay-video-renderer.c:
	* gst-libs/gst/play/gstplay-video-overlay-video-renderer.h:
	* gst-libs/gst/play/gstplay-video-renderer-private.h:
	* gst-libs/gst/play/gstplay-video-renderer.c:
	* gst-libs/gst/play/gstplay-video-renderer.h:
	* gst-libs/gst/play/gstplay-visualization.c:
	* gst-libs/gst/play/gstplay-visualization.h:
	* gst-libs/gst/play/gstplay.c:
	* gst-libs/gst/play/gstplay.h:
	* gst-libs/gst/play/meson.build:
	* gst-libs/gst/play/play-prelude.h:
	* gst-libs/gst/play/play.h:
	  play: Introducing the new playback library
	  This aims to be a replacement for the GstPlayer library. In GstPlay, notifications are
	  sent as application messages through a dedicated GstBus. The GMainContext-based
	  signal dispatcher was replaced by a GObject signal adapter, now relying on the
	  bus to emit its signals. The signal dispatcher is now optional and fully
	  decoupled from the GstPlay object.
	  Co-authored with: Philippe Normand <philn@igalia.com>
	  Fixes #394
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2061>

2021-03-09 13:00:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/timecode/gstavwait.c:
	  avwait: Don't post messages with the mutex locked
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2063>

2021-03-01 20:53:53 +1100  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* tests/check/elements/webrtcbin.c:
	  webrtc: don't generate duplicate rtx payloads when bundle-policy is set
	  It was possible to generate a SDP that had an RTX payload type
	  that matched one of the media payload types when providing caps via
	  codec_preferences without any sink pads.
	  Fixes
	  m=video 9 UDP/TLS/RTP/SAVPF 96
	  ...
	  a=rtpmap:96 VP8/90000
	  a=rtcp-fb:96 nack pli
	  a=fmtp:96 apt=96
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2046>

2021-03-08 14:30:52 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* tests/check/elements/interlace.c:
	* tests/check/meson.build:
	  tests: Add negotiation tests for the interlace elements
	  Many complicated cases exist. Would be good to have some checks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2062>

2021-03-08 20:59:14 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/interlace/gstinterlace.c:
	  interlace: Discard stored_frame on EOS and PAUSED_TO_READY
	  Would otherwise leak it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2062>

2021-03-08 16:16:25 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* docs/plugins/gst_plugins_cache.json:
	* gst/interlace/gstinterlace.c:
	  interlace: Specify interlace-modes in the sink pad template
	  Especially specify the field-order in the interleaved mode. Otherwise it
	  might cause the negotiation to fail, because
	  GST_PAD_SET_ACCEPT_INTERSECT is not set on the sinkpad, and the
	  field-order is missing in the sink template but can be present in the
	  outside caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2062>

2021-03-07 16:47:07 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvh264dec.c:
	  nvh264sldec: Reopen decoder object if larger DPB size is required
	  Equivalent to the d3d11h264dec fix
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1839
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2059>

2021-03-03 01:23:20 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11colorconverter.c:
	  d3d11: Fix an HLSL compiler warning
	  warning X3578: Output value 'main' is not completely initialized
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2052>

2021-01-27 10:55:13 +0800  Bing Song <bing.song@nxp.com>

	* tools/gst-transcoder.c:
	  transcoder: handle SIGINT and SIGHUP
	  Handle SIGINT and SIGHUP in transcoder. Or the output file maybe corrupt.
	  Fixes #1507
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1987>

2021-03-04 17:42:28 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11h264dec.c:
	  d3d11h264dec: Keep track of actually configured DPB size
	  ... instead of the largest we ever seen.
	  Note that d3d11h264dec element holds previously configured DPB size
	  for later decoder object re-open decision.
	  This is to fix below case:
	  1) Initial SPS, required DPB size is 6
	  - decoder object is opened with DPB size 6
	  - max_dpb_size is now 6
	  2) SPS update with resolution change, required DPB size is 1
	  - decoder object is re-opened with DPB size 1
	  - max_dpb_size should be updated to 1, but it didn't happen (BUG)
	  3) SPS update without resolution change, only required DPB size is updated to 6
	  - decoder object should be re-opened but didn't happen
	  because we didn't update max_dpb_size at 2).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2056>

2021-03-03 16:19:39 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/interlace/gstinterlace.c:
	  interlace: add more formats, esp 10-bit, 12-bit and 16-bit ones
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2054>

2021-02-16 11:23:17 +0100  Benjamin Gaignard <benjamin.gaignard@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: retrieve interlaced information
	  Lets the decoder knows if the frames are interlaced or not.
	  Provide this information to the driver while filling reference
	  pictures fields in slice params structure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1624>

2020-11-27 16:00:03 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: Reduce controls for subsequent slices
	  Only the SLICE_PARAMS and PRED_WEIGHTS are needed for the second and
	  following slices.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1624>

2020-08-14 10:13:09 -0300  Ezequiel Garcia <ezequiel@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: Implement optional scaling matrix
	  The new H.264 uAPI requires that all drivers support
	  scaling matrix only as an option, when a non-flat
	  scaling matrix is provided in the bitstream headers.
	  Take advantage of this and avoid passing the scaling
	  matrix if not needed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1624>

2020-09-30 14:34:15 -0300  Ezequiel Garcia <ezequiel@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: Only set SPS control if needed
	  Given V4L2 controls are cached in V4L2, there is no need
	  to set them if they don't change. Set the SPS control
	  only if a new sequence was received by the parser.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1624>

2020-09-30 14:22:14 -0300  Ezequiel Garcia <ezequiel@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: Only slice-based need SLICE_PARAMS and PRED_WEIGHTS
	  Frame-based decoding mode doesn't require SLICE_PARAMS and
	  PRED_WEIGHTS controls.
	  Moreover, if the driver doesn't support these two controls, trying
	  to set them will fail. Fix this by only setting these on
	  slice-based decoding mode.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1624>

2020-09-30 14:14:41 -0300  Ezequiel Garcia <ezequiel@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2decoder.c:
	* sys/v4l2codecs/gstv4l2decoder.h:
	  v4l2codecs: h264: Add API checks
	  Check that the V4L2 H264 controls' sizes match
	  our expectation. If not, then probably there's an API
	  mismatch which will cause errors or decoding corruption.
	  Also, print a warning if the kernel version is too old.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1624>

2020-09-30 10:40:51 -0300  Ezequiel Garcia <ezequiel@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/linux/h264-ctrls.h:
	* sys/v4l2codecs/linux/media.h:
	* sys/v4l2codecs/linux/types-compat.h:
	* sys/v4l2codecs/linux/v4l2-common.h:
	* sys/v4l2codecs/linux/v4l2-controls.h:
	* sys/v4l2codecs/linux/videodev2.h:
	* sys/v4l2codecs/plugin.c:
	  v4l2codecs: h264: Update to the new uAPI
	  Starting from Linux v5.11, the V4L2 stateless H.264 uAPI
	  is updated and stable.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1624>

2020-09-30 10:33:59 -0300  Ezequiel Garcia <ezequiel@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: Set the scaling matrix present flag unconditionally
	  We are currently always setting and passing a scaling matrix,
	  so need to set this flag accordingly. Passing a scaling matrix
	  optionally will be implemented in follow-up commit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1624>

2021-03-02 12:46:24 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  va: postproc: mention the possibility of color balance
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2050>

2021-03-02 12:46:06 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	  docs: plugins update VA elements
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2050>

2021-03-02 12:44:12 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavp8dec.c:
	* sys/va/gstvavp9dec.c:
	  va: vp8dec, vp9dec: only set NV12 color format for documentation
	  Mention in documentation only the most used output format in VA-API.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2050>

2021-03-02 22:01:26 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11colorconvert.c:
	  d3d11convert: Forward colorimetry and chroma-site from upstream
	  Adopt the improvement of https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/merge_requests/1033
	  into d3d11.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2051>

2021-03-02 17:47:03 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11colorconvert.c:
	  d3d11convert: Add support for border drawing
	  ... and fix wrong resizing when downstream requested PAR value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2051>

2021-03-02 21:35:00 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11colorconvert.c:
	  d3d11convert: Prefer video processor over shader
	  ... if video processor was used previously. Otherwise, switching
	  between video processor and shader would result in inconsistent
	  output image quality.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2051>

2021-03-02 18:07:36 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11videoprocessor.c:
	  d3d11videoprocessor: Disable auto processing mode explicitly
	  Don't allow auto processing (e.g., denoising), as it might result
	  in unexpected output.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2051>

2021-03-02 21:10:24 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11memory.c:
	  d3d11memory: Fix for wrong texture_array_size returns
	  Fix mismatched return values
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2051>

2021-03-02 21:13:18 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.c:
	  d3d11decoder: Add trace log for DPB pool size debugging
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2051>

2021-03-02 20:45:22 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.c:
	  d3d11decoder: Always use render-target bind flag for downstream pool
	  To convert decoded texture into other format, downstream would use
	  video processor instead of shader. In order for downstream to
	  be able to use video processor even if we copied decoded texture
	  into downstream pool, we should set this bind flag. Otherwise,
	  downstream would keep switching video processor and shader
	  to convert format which would result in inconsistent image quality.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2051>

2021-03-02 20:37:04 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d11/gstd3d11_fwd.h:
	* sys/d3d11/gstd3d11colorconvert.c:
	* sys/d3d11/gstd3d11videoprocessor.c:
	* sys/d3d11/gstd3d11videoprocessor.h:
	* sys/d3d11/gstd3d11window.cpp:
	* sys/d3d11/gstd3d11window_dummy.cpp:
	* sys/d3d11/gstd3d11window_win32.cpp:
	  d3d11: Fix wrong preprocessing blocks
	  Missed in https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/464
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2051>

2021-03-01 13:44:09 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvavpp.c:
	  va: vpp: fix a wrong caps logic in vpp_transform_caps().
	  The current gst_va_vpp_transform_caps return such as:
	  video/x-raw(memory:VAMemory), width=(int)[ 16, 16384 ], height=(int)[ 16, 16384 ],
	  interlace-mode=(string)progressive, format=(string){ NV12, I420, YV12, YUY2, RGBA,
	  BGRA, P010_10LE, ARGB, ABGR, VUYA }; video/x-raw(memory:DMABuf), width=(int)[ 16,
	  16384 ], height=(int)[ 16, 16384 ], interlace-mode=(string)progressive, format=(string)
	  { NV12, I420, YV12, YUY2, RGBA, BGRA, P010_10LE, ARGB, ABGR, VUYA }; video/x-raw,
	  width=(int)[ 16, 16384 ], height=(int)[ 16, 16384 ], interlace-mode=(string)progressive,
	  format=(string){ VUYA, GRAY8, NV12, NV21, YUY2, UYVY, YV12, I420, P010_10LE };
	  video/x-raw(memory:VAMemory), width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ],
	  interlace-mode=(string)progressive; video/x-raw(memory:DMABuf), width=(int)[ 1, 2147483647 ],
	  height=(int)[ 1, 2147483647 ], interlace-mode=(string)progressive; video/x-raw, width=(int)
	  [ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], interlace-mode=(string)progressive
	  Which is not correct. It mixes the template caps and the input query caps together.
	  The correct way should be: clip the template caps with the input caps(remove format
	  and rangify size). The correct answer should be:
	  video/x-raw(memory:VAMemory), width=(int)[ 16, 16384 ], height=(int)[ 16, 16384 ], interlace
	  -mode=(string)progressive, format=(string){ NV12, I420, YV12, YUY2, RGBA, BGRA, P010_10LE,
	  ARGB, ABGR, VUYA }; video/x-raw(memory:DMABuf), width=(int)[ 16, 16384 ], height=(int)[ 16,
	  16384 ], interlace-mode=(string)progressive, format=(string){ NV12, I420, YV12, YUY2, RGBA,
	  BGRA, P010_10LE, ARGB, ABGR, VUYA }; video/x-raw, width=(int)[ 16, 16384 ], height=(int)[ 16,
	  16384 ], interlace-mode=(string)progressive, format=(string){ VUYA, GRAY8, NV12, NV21, YUY2,
	  UYVY, YV12, I420, P010_10LE }
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2045>

2021-03-01 16:23:37 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsdemux/mpegtsparse.c:
	  mpegtsparse: Fix switched DTS/PTS when set-timestamps=false
	  Fixes 30ee21eae36e7279f63b77167ba1dcf5f70b8e83.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2047>

2019-08-15 08:25:26 -0700  Ilya Kreymer <ikreymer@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/webrtc/gstwebrtcice.c:
	* ext/webrtc/gstwebrtcice.h:
	* ext/webrtc/icestream.c:
	* tests/check/elements/webrtcbin.c:
	  webrtc ice: Add 'min/max-rtp-port' props for setting RTP port range
	  default min port == 0, max port == 65535 -- if min port == 0, uses existing random port selection (range ignored)
	  add 'gathering_started' flag to avoid changing ports after gathering has started
	  validity checks: min port <= max port enforced, error thrown otherwise
	  include tests to ensure port range is being utilized (by @hhardy)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/119>

2021-02-25 11:58:57 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcice.c:
	  webrtc ice: Only ever request one component, it's always rtcpmux
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/119>

2021-02-26 15:40:01 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/transcoder/gsttranscoder.c:
	  transcoder: Add some missing API guards
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2044>

2021-02-26 15:36:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/transcoder/gsttranscoder-signal-adapter.c:
	  transcoder: Fix potential use of uninitialized variables
	  gst_structure_get won't touch variables if the field is not present
	  leading to potential use of initialized vars
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2044>

2021-02-26 15:31:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/transcoder/gsttranscoder-private.h:
	* gst-libs/gst/transcoder/gsttranscoder-signal-adapter.c:
	* gst-libs/gst/transcoder/gsttranscoder-signal-adapter.h:
	* gst-libs/gst/transcoder/gsttranscoder.c:
	* gst-libs/gst/transcoder/gsttranscoder.h:
	* tools/gst-transcoder.c:
	  transcoder: Rework the API to create/get SignalAdapter
	  We can only have 1 single GstTranscoderSignalAdapter object for a
	  given GstTranscoder object, this enforces that by avoiding to expose
	  a constructor and instead add a method to GstTranscoder to get the
	  signal adapter (internally creating it when needed). We can still
	  cleanly ensure that the signal adapter is running for the requested
	  GMainContext and return NULL if it is not the case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2044>

2021-02-22 16:59:25 +1100  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcice.c:
	  webrtcbin: use regular ice nomination by default
	  1. We don't currently deal with an a=ice-options in the SDP which means
	  we currently violate https://tools.ietf.org/html/rfc5245#section-8.1.1
	  which states: "If its peer is using ICE options (present in
	  an ice-options attribute from the peer) that the agent does not
	  understand, the agent MUST use a regular nomination algorithm."
	  2. The recommendation is default to regular nomination in both RFC5245
	  and RFC8445.  libnice change for this is
	  https://gitlab.freedesktop.org/libnice/libnice/-/merge_requests/125
	  which requires an API break in libnice.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2031>

2021-02-24 18:43:07 +0000  Philippe Normand <philn@igalia.com>

	* docs/meson.build:
	* gst-libs/gst/transcoder/gsttranscoder.c:
	  transcoder: Remove un-needed gst_init call
	  We can safely assume GStreamer is already initialized from here.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1840>

2020-11-25 22:25:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/transcoder/gsttranscoder-message-private.h:
	* gst-libs/gst/transcoder/gsttranscoder-signal-adapter.c:
	* gst-libs/gst/transcoder/gsttranscoder-signal-adapter.h:
	* gst-libs/gst/transcoder/gsttranscoder.c:
	* gst-libs/gst/transcoder/gsttranscoder.h:
	* gst-libs/gst/transcoder/meson.build:
	* tools/gst-transcoder.c:
	  transcoder: Port to a GstBus API instead
	  Following the move made by GstPlayer in:
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/35
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1840>

2020-11-25 22:21:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/transcoder/gsttranscoder.c:
	* gst-libs/gst/transcoder/gsttranscoder.h:
	* gst-libs/gst/transcoder/meson.build:
	* gst-libs/gst/transcoder/transcoder-prelude.h:
	  transcoder: Automatically generate enums GTypes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1840>

2020-11-25 22:01:30 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/transcoder/gsttranscoder.h:
	  transcoder: Port to G_DECLARE
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1840>

2021-02-26 16:36:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklinkvideosink.cpp:
	  decklinkvideosink: Use correct numerator for 29.97fps
	  It's not 0.2997fps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2042>

2021-02-26 11:39:10 +0100  Edward Hervey <edward@centricular.com>

	* sys/decklink/gstdecklink.cpp:
	  decklinksrc: Use a more accurate capture time
	  Use the hardware reference clock time when the frame was finished being captured
	  instead of a time much further down the road.
	  This improves the stability/accuracy of buffer times.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2040>

2021-02-24 19:14:42 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaallocator.c:
	  va: allocator: No need of fourcc to create surface.
	  In commits 430aa327 and a119a940 there are a regression since it is
	  possible to create surfaces without fourcc, only chroma (rtformat) is
	  required.
	  This regression is shown on radeonsi driver with certain color
	  formats.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2035>

2021-02-24 13:06:51 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	* sys/va/gstvavpp.c:
	* tests/examples/va/meson.build:
	* tests/examples/va/multiple-vpp.c:
	  va: vpp: implement GstColorBalance interface
	  And modify multiple-vpp example to use it with -r parameter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2033>

2021-02-23 17:22:40 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	  va: filter: add controllable and mutable playing to GParamFlags
	  Add controllable and mutable playgin to common GParamFlags.
	  Also use this common flags to video-direction
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2033>

2021-02-24 16:57:06 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/vulkan/vkcolorconvert.c:
	* ext/vulkan/vkviewconvert.c:
	  vulkan: Fix elements long name.
	  Fix vkcoloconvert and vkviewconvert long names.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2034>

2021-01-12 15:33:49 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* sys/msdk/gstmsdkcontext.c:
	* sys/msdk/meson.build:
	  msdk: allow user specify a drm device via an env variable
	  User may specify the required device via GST_MSDK_DRM_DEVICE
	  Example:
	  GST_MSDK_DRM_DEVICE=/dev/dri/card0 gst-launch-1.0 videotestsrc ! msdkh264enc
	  ! fakesink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1953>

2021-01-19 15:36:29 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaav1dec.c:
	* sys/va/gstvaav1dec.h:
	* sys/va/gstvabasedec.h:
	* sys/va/gstvaprofile.c:
	* sys/va/meson.build:
	* sys/va/plugin.c:
	  VA: Add the vaav1dec element as the av1 decoder.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1636>

2021-01-19 15:17:58 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaallocator.c:
	* sys/va/gstvaallocator.h:
	* sys/va/gstvadecoder.c:
	* sys/va/gstvadecoder.h:
	  VA: Add the aux surface for gst buffer used by decoder.
	  The AV1 codec needs to support the film grain feature. When the film
	  grain feature is enabled, we need two surfaces as the output of the
	  decoded picture, one without film grain effect and the other one with
	  it. The first one acts as the reference and is needed for later pictures'
	  reconstruction, and the second one is the real display output.
	  So we need to attach another aux surface to the gst buffer/mem and make
	  that aux surface as the target of vaBeginPicture.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1636>

2021-01-19 15:07:38 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvadecoder.c:
	* sys/va/gstvadecoder.h:
	  VA: Add a helper function of decoder_add_slice_buffer_with_n_params.
	  Some codecs such as AV1 needs several parameters associated with one
	  slice. It may have multi tiles within one slice and each tile needs
	  its description parameter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1636>

2021-01-19 14:59:45 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecs/gstav1decoder.c:
